<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogCategoryEntityCreate StructType
 * @subpackage Structs
 */
class CatalogCategoryEntityCreate extends AbstractStructBase
{
    /**
     * The name
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The is_active
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $is_active;
    /**
     * The position
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $position;
    /**
     * The available_sort_by
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\ArrayOfString
     */
    public $available_sort_by;
    /**
     * The custom_design
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $custom_design;
    /**
     * The custom_design_apply
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $custom_design_apply;
    /**
     * The custom_design_from
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $custom_design_from;
    /**
     * The custom_design_to
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $custom_design_to;
    /**
     * The custom_layout_update
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $custom_layout_update;
    /**
     * The default_sort_by
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $default_sort_by;
    /**
     * The description
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The display_mode
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $display_mode;
    /**
     * The is_anchor
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $is_anchor;
    /**
     * The landing_page
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $landing_page;
    /**
     * The meta_description
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $meta_description;
    /**
     * The meta_keywords
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $meta_keywords;
    /**
     * The meta_title
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $meta_title;
    /**
     * The page_layout
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $page_layout;
    /**
     * The url_key
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $url_key;
    /**
     * The include_in_menu
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $include_in_menu;
    /**
     * Constructor method for catalogCategoryEntityCreate
     * @uses CatalogCategoryEntityCreate::setName()
     * @uses CatalogCategoryEntityCreate::setIs_active()
     * @uses CatalogCategoryEntityCreate::setPosition()
     * @uses CatalogCategoryEntityCreate::setAvailable_sort_by()
     * @uses CatalogCategoryEntityCreate::setCustom_design()
     * @uses CatalogCategoryEntityCreate::setCustom_design_apply()
     * @uses CatalogCategoryEntityCreate::setCustom_design_from()
     * @uses CatalogCategoryEntityCreate::setCustom_design_to()
     * @uses CatalogCategoryEntityCreate::setCustom_layout_update()
     * @uses CatalogCategoryEntityCreate::setDefault_sort_by()
     * @uses CatalogCategoryEntityCreate::setDescription()
     * @uses CatalogCategoryEntityCreate::setDisplay_mode()
     * @uses CatalogCategoryEntityCreate::setIs_anchor()
     * @uses CatalogCategoryEntityCreate::setLanding_page()
     * @uses CatalogCategoryEntityCreate::setMeta_description()
     * @uses CatalogCategoryEntityCreate::setMeta_keywords()
     * @uses CatalogCategoryEntityCreate::setMeta_title()
     * @uses CatalogCategoryEntityCreate::setPage_layout()
     * @uses CatalogCategoryEntityCreate::setUrl_key()
     * @uses CatalogCategoryEntityCreate::setInclude_in_menu()
     * @param string $name
     * @param int $is_active
     * @param int $position
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $available_sort_by
     * @param string $custom_design
     * @param int $custom_design_apply
     * @param string $custom_design_from
     * @param string $custom_design_to
     * @param string $custom_layout_update
     * @param string $default_sort_by
     * @param string $description
     * @param string $display_mode
     * @param int $is_anchor
     * @param int $landing_page
     * @param string $meta_description
     * @param string $meta_keywords
     * @param string $meta_title
     * @param string $page_layout
     * @param string $url_key
     * @param int $include_in_menu
     */
    public function __construct($name = null, $is_active = null, $position = null, \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $available_sort_by = null, $custom_design = null, $custom_design_apply = null, $custom_design_from = null, $custom_design_to = null, $custom_layout_update = null, $default_sort_by = null, $description = null, $display_mode = null, $is_anchor = null, $landing_page = null, $meta_description = null, $meta_keywords = null, $meta_title = null, $page_layout = null, $url_key = null, $include_in_menu = null)
    {
        $this
            ->setName($name)
            ->setIs_active($is_active)
            ->setPosition($position)
            ->setAvailable_sort_by($available_sort_by)
            ->setCustom_design($custom_design)
            ->setCustom_design_apply($custom_design_apply)
            ->setCustom_design_from($custom_design_from)
            ->setCustom_design_to($custom_design_to)
            ->setCustom_layout_update($custom_layout_update)
            ->setDefault_sort_by($default_sort_by)
            ->setDescription($description)
            ->setDisplay_mode($display_mode)
            ->setIs_anchor($is_anchor)
            ->setLanding_page($landing_page)
            ->setMeta_description($meta_description)
            ->setMeta_keywords($meta_keywords)
            ->setMeta_title($meta_title)
            ->setPage_layout($page_layout)
            ->setUrl_key($url_key)
            ->setInclude_in_menu($include_in_menu);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get is_active value
     * @return int|null
     */
    public function getIs_active()
    {
        return $this->is_active;
    }
    /**
     * Set is_active value
     * @param int $is_active
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setIs_active($is_active = null)
    {
        // validation for constraint: int
        if (!is_null($is_active) && !is_numeric($is_active)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_active)), __LINE__);
        }
        $this->is_active = $is_active;
        return $this;
    }
    /**
     * Get position value
     * @return int|null
     */
    public function getPosition()
    {
        return $this->position;
    }
    /**
     * Set position value
     * @param int $position
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setPosition($position = null)
    {
        // validation for constraint: int
        if (!is_null($position) && !is_numeric($position)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($position)), __LINE__);
        }
        $this->position = $position;
        return $this;
    }
    /**
     * Get available_sort_by value
     * @return \App\Api\Client\Magento\Type\ArrayType\ArrayOfString|null
     */
    public function getAvailable_sort_by()
    {
        return $this->available_sort_by;
    }
    /**
     * Set available_sort_by value
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $available_sort_by
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setAvailable_sort_by(\App\Api\Client\Magento\Type\ArrayType\ArrayOfString $available_sort_by = null)
    {
        $this->available_sort_by = $available_sort_by;
        return $this;
    }
    /**
     * Get custom_design value
     * @return string|null
     */
    public function getCustom_design()
    {
        return $this->custom_design;
    }
    /**
     * Set custom_design value
     * @param string $custom_design
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setCustom_design($custom_design = null)
    {
        // validation for constraint: string
        if (!is_null($custom_design) && !is_string($custom_design)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($custom_design)), __LINE__);
        }
        $this->custom_design = $custom_design;
        return $this;
    }
    /**
     * Get custom_design_apply value
     * @return int|null
     */
    public function getCustom_design_apply()
    {
        return $this->custom_design_apply;
    }
    /**
     * Set custom_design_apply value
     * @param int $custom_design_apply
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setCustom_design_apply($custom_design_apply = null)
    {
        // validation for constraint: int
        if (!is_null($custom_design_apply) && !is_numeric($custom_design_apply)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($custom_design_apply)), __LINE__);
        }
        $this->custom_design_apply = $custom_design_apply;
        return $this;
    }
    /**
     * Get custom_design_from value
     * @return string|null
     */
    public function getCustom_design_from()
    {
        return $this->custom_design_from;
    }
    /**
     * Set custom_design_from value
     * @param string $custom_design_from
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setCustom_design_from($custom_design_from = null)
    {
        // validation for constraint: string
        if (!is_null($custom_design_from) && !is_string($custom_design_from)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($custom_design_from)), __LINE__);
        }
        $this->custom_design_from = $custom_design_from;
        return $this;
    }
    /**
     * Get custom_design_to value
     * @return string|null
     */
    public function getCustom_design_to()
    {
        return $this->custom_design_to;
    }
    /**
     * Set custom_design_to value
     * @param string $custom_design_to
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setCustom_design_to($custom_design_to = null)
    {
        // validation for constraint: string
        if (!is_null($custom_design_to) && !is_string($custom_design_to)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($custom_design_to)), __LINE__);
        }
        $this->custom_design_to = $custom_design_to;
        return $this;
    }
    /**
     * Get custom_layout_update value
     * @return string|null
     */
    public function getCustom_layout_update()
    {
        return $this->custom_layout_update;
    }
    /**
     * Set custom_layout_update value
     * @param string $custom_layout_update
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setCustom_layout_update($custom_layout_update = null)
    {
        // validation for constraint: string
        if (!is_null($custom_layout_update) && !is_string($custom_layout_update)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($custom_layout_update)), __LINE__);
        }
        $this->custom_layout_update = $custom_layout_update;
        return $this;
    }
    /**
     * Get default_sort_by value
     * @return string|null
     */
    public function getDefault_sort_by()
    {
        return $this->default_sort_by;
    }
    /**
     * Set default_sort_by value
     * @param string $default_sort_by
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setDefault_sort_by($default_sort_by = null)
    {
        // validation for constraint: string
        if (!is_null($default_sort_by) && !is_string($default_sort_by)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($default_sort_by)), __LINE__);
        }
        $this->default_sort_by = $default_sort_by;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
    /**
     * Get display_mode value
     * @return string|null
     */
    public function getDisplay_mode()
    {
        return $this->display_mode;
    }
    /**
     * Set display_mode value
     * @param string $display_mode
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setDisplay_mode($display_mode = null)
    {
        // validation for constraint: string
        if (!is_null($display_mode) && !is_string($display_mode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($display_mode)), __LINE__);
        }
        $this->display_mode = $display_mode;
        return $this;
    }
    /**
     * Get is_anchor value
     * @return int|null
     */
    public function getIs_anchor()
    {
        return $this->is_anchor;
    }
    /**
     * Set is_anchor value
     * @param int $is_anchor
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setIs_anchor($is_anchor = null)
    {
        // validation for constraint: int
        if (!is_null($is_anchor) && !is_numeric($is_anchor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_anchor)), __LINE__);
        }
        $this->is_anchor = $is_anchor;
        return $this;
    }
    /**
     * Get landing_page value
     * @return int|null
     */
    public function getLanding_page()
    {
        return $this->landing_page;
    }
    /**
     * Set landing_page value
     * @param int $landing_page
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setLanding_page($landing_page = null)
    {
        // validation for constraint: int
        if (!is_null($landing_page) && !is_numeric($landing_page)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($landing_page)), __LINE__);
        }
        $this->landing_page = $landing_page;
        return $this;
    }
    /**
     * Get meta_description value
     * @return string|null
     */
    public function getMeta_description()
    {
        return $this->meta_description;
    }
    /**
     * Set meta_description value
     * @param string $meta_description
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setMeta_description($meta_description = null)
    {
        // validation for constraint: string
        if (!is_null($meta_description) && !is_string($meta_description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($meta_description)), __LINE__);
        }
        $this->meta_description = $meta_description;
        return $this;
    }
    /**
     * Get meta_keywords value
     * @return string|null
     */
    public function getMeta_keywords()
    {
        return $this->meta_keywords;
    }
    /**
     * Set meta_keywords value
     * @param string $meta_keywords
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setMeta_keywords($meta_keywords = null)
    {
        // validation for constraint: string
        if (!is_null($meta_keywords) && !is_string($meta_keywords)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($meta_keywords)), __LINE__);
        }
        $this->meta_keywords = $meta_keywords;
        return $this;
    }
    /**
     * Get meta_title value
     * @return string|null
     */
    public function getMeta_title()
    {
        return $this->meta_title;
    }
    /**
     * Set meta_title value
     * @param string $meta_title
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setMeta_title($meta_title = null)
    {
        // validation for constraint: string
        if (!is_null($meta_title) && !is_string($meta_title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($meta_title)), __LINE__);
        }
        $this->meta_title = $meta_title;
        return $this;
    }
    /**
     * Get page_layout value
     * @return string|null
     */
    public function getPage_layout()
    {
        return $this->page_layout;
    }
    /**
     * Set page_layout value
     * @param string $page_layout
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setPage_layout($page_layout = null)
    {
        // validation for constraint: string
        if (!is_null($page_layout) && !is_string($page_layout)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($page_layout)), __LINE__);
        }
        $this->page_layout = $page_layout;
        return $this;
    }
    /**
     * Get url_key value
     * @return string|null
     */
    public function getUrl_key()
    {
        return $this->url_key;
    }
    /**
     * Set url_key value
     * @param string $url_key
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setUrl_key($url_key = null)
    {
        // validation for constraint: string
        if (!is_null($url_key) && !is_string($url_key)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($url_key)), __LINE__);
        }
        $this->url_key = $url_key;
        return $this;
    }
    /**
     * Get include_in_menu value
     * @return int|null
     */
    public function getInclude_in_menu()
    {
        return $this->include_in_menu;
    }
    /**
     * Set include_in_menu value
     * @param int $include_in_menu
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public function setInclude_in_menu($include_in_menu = null)
    {
        // validation for constraint: int
        if (!is_null($include_in_menu) && !is_numeric($include_in_menu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($include_in_menu)), __LINE__);
        }
        $this->include_in_menu = $include_in_menu;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogCategoryEntityCreate
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
