<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductAttributeEntity StructType
 * @subpackage Structs
 */
class CatalogProductAttributeEntity extends AbstractStructBase
{
    /**
     * The attribute_id
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $attribute_id;
    /**
     * The attribute_code
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $attribute_code;
    /**
     * The frontend_input
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $frontend_input;
    /**
     * The frontend_label
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeFrontendLabelArray
     */
    public $frontend_label;
    /**
     * The scope
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $scope;
    /**
     * The default_value
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $default_value;
    /**
     * The is_unique
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $is_unique;
    /**
     * The is_required
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $is_required;
    /**
     * The apply_to
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\ArrayOfString
     */
    public $apply_to;
    /**
     * The is_configurable
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $is_configurable;
    /**
     * The is_searchable
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $is_searchable;
    /**
     * The is_visible_in_advanced_search
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $is_visible_in_advanced_search;
    /**
     * The is_comparable
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $is_comparable;
    /**
     * The is_used_for_promo_rules
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $is_used_for_promo_rules;
    /**
     * The is_visible_on_front
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $is_visible_on_front;
    /**
     * The used_in_product_listing
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $used_in_product_listing;
    /**
     * The additional_fields
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\AssociativeArray
     */
    public $additional_fields;
    /**
     * The options
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\CatalogAttributeOptionEntityArray
     */
    public $options;
    /**
     * Constructor method for catalogProductAttributeEntity
     * @uses CatalogProductAttributeEntity::setAttribute_id()
     * @uses CatalogProductAttributeEntity::setAttribute_code()
     * @uses CatalogProductAttributeEntity::setFrontend_input()
     * @uses CatalogProductAttributeEntity::setFrontend_label()
     * @uses CatalogProductAttributeEntity::setScope()
     * @uses CatalogProductAttributeEntity::setDefault_value()
     * @uses CatalogProductAttributeEntity::setIs_unique()
     * @uses CatalogProductAttributeEntity::setIs_required()
     * @uses CatalogProductAttributeEntity::setApply_to()
     * @uses CatalogProductAttributeEntity::setIs_configurable()
     * @uses CatalogProductAttributeEntity::setIs_searchable()
     * @uses CatalogProductAttributeEntity::setIs_visible_in_advanced_search()
     * @uses CatalogProductAttributeEntity::setIs_comparable()
     * @uses CatalogProductAttributeEntity::setIs_used_for_promo_rules()
     * @uses CatalogProductAttributeEntity::setIs_visible_on_front()
     * @uses CatalogProductAttributeEntity::setUsed_in_product_listing()
     * @uses CatalogProductAttributeEntity::setAdditional_fields()
     * @uses CatalogProductAttributeEntity::setOptions()
     * @param string $attribute_id
     * @param string $attribute_code
     * @param string $frontend_input
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeFrontendLabelArray $frontend_label
     * @param string $scope
     * @param string $default_value
     * @param int $is_unique
     * @param int $is_required
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $apply_to
     * @param int $is_configurable
     * @param int $is_searchable
     * @param int $is_visible_in_advanced_search
     * @param int $is_comparable
     * @param int $is_used_for_promo_rules
     * @param int $is_visible_on_front
     * @param int $used_in_product_listing
     * @param \App\Api\Client\Magento\Type\ArrayType\AssociativeArray $additional_fields
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogAttributeOptionEntityArray $options
     */
    public function __construct($attribute_id = null, $attribute_code = null, $frontend_input = null, \App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeFrontendLabelArray $frontend_label = null, $scope = null, $default_value = null, $is_unique = null, $is_required = null, \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $apply_to = null, $is_configurable = null, $is_searchable = null, $is_visible_in_advanced_search = null, $is_comparable = null, $is_used_for_promo_rules = null, $is_visible_on_front = null, $used_in_product_listing = null, \App\Api\Client\Magento\Type\ArrayType\AssociativeArray $additional_fields = null, \App\Api\Client\Magento\Type\ArrayType\CatalogAttributeOptionEntityArray $options = null)
    {
        $this
            ->setAttribute_id($attribute_id)
            ->setAttribute_code($attribute_code)
            ->setFrontend_input($frontend_input)
            ->setFrontend_label($frontend_label)
            ->setScope($scope)
            ->setDefault_value($default_value)
            ->setIs_unique($is_unique)
            ->setIs_required($is_required)
            ->setApply_to($apply_to)
            ->setIs_configurable($is_configurable)
            ->setIs_searchable($is_searchable)
            ->setIs_visible_in_advanced_search($is_visible_in_advanced_search)
            ->setIs_comparable($is_comparable)
            ->setIs_used_for_promo_rules($is_used_for_promo_rules)
            ->setIs_visible_on_front($is_visible_on_front)
            ->setUsed_in_product_listing($used_in_product_listing)
            ->setAdditional_fields($additional_fields)
            ->setOptions($options);
    }
    /**
     * Get attribute_id value
     * @return string
     */
    public function getAttribute_id()
    {
        return $this->attribute_id;
    }
    /**
     * Set attribute_id value
     * @param string $attribute_id
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setAttribute_id($attribute_id = null)
    {
        // validation for constraint: string
        if (!is_null($attribute_id) && !is_string($attribute_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attribute_id)), __LINE__);
        }
        $this->attribute_id = $attribute_id;
        return $this;
    }
    /**
     * Get attribute_code value
     * @return string
     */
    public function getAttribute_code()
    {
        return $this->attribute_code;
    }
    /**
     * Set attribute_code value
     * @param string $attribute_code
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setAttribute_code($attribute_code = null)
    {
        // validation for constraint: string
        if (!is_null($attribute_code) && !is_string($attribute_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attribute_code)), __LINE__);
        }
        $this->attribute_code = $attribute_code;
        return $this;
    }
    /**
     * Get frontend_input value
     * @return string
     */
    public function getFrontend_input()
    {
        return $this->frontend_input;
    }
    /**
     * Set frontend_input value
     * @param string $frontend_input
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setFrontend_input($frontend_input = null)
    {
        // validation for constraint: string
        if (!is_null($frontend_input) && !is_string($frontend_input)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($frontend_input)), __LINE__);
        }
        $this->frontend_input = $frontend_input;
        return $this;
    }
    /**
     * Get frontend_label value
     * @return \App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeFrontendLabelArray
     */
    public function getFrontend_label()
    {
        return $this->frontend_label;
    }
    /**
     * Set frontend_label value
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeFrontendLabelArray $frontend_label
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setFrontend_label(\App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeFrontendLabelArray $frontend_label = null)
    {
        $this->frontend_label = $frontend_label;
        return $this;
    }
    /**
     * Get scope value
     * @return string|null
     */
    public function getScope()
    {
        return $this->scope;
    }
    /**
     * Set scope value
     * @param string $scope
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setScope($scope = null)
    {
        // validation for constraint: string
        if (!is_null($scope) && !is_string($scope)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($scope)), __LINE__);
        }
        $this->scope = $scope;
        return $this;
    }
    /**
     * Get default_value value
     * @return string|null
     */
    public function getDefault_value()
    {
        return $this->default_value;
    }
    /**
     * Set default_value value
     * @param string $default_value
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setDefault_value($default_value = null)
    {
        // validation for constraint: string
        if (!is_null($default_value) && !is_string($default_value)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($default_value)), __LINE__);
        }
        $this->default_value = $default_value;
        return $this;
    }
    /**
     * Get is_unique value
     * @return int|null
     */
    public function getIs_unique()
    {
        return $this->is_unique;
    }
    /**
     * Set is_unique value
     * @param int $is_unique
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setIs_unique($is_unique = null)
    {
        // validation for constraint: int
        if (!is_null($is_unique) && !is_numeric($is_unique)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_unique)), __LINE__);
        }
        $this->is_unique = $is_unique;
        return $this;
    }
    /**
     * Get is_required value
     * @return int|null
     */
    public function getIs_required()
    {
        return $this->is_required;
    }
    /**
     * Set is_required value
     * @param int $is_required
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setIs_required($is_required = null)
    {
        // validation for constraint: int
        if (!is_null($is_required) && !is_numeric($is_required)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_required)), __LINE__);
        }
        $this->is_required = $is_required;
        return $this;
    }
    /**
     * Get apply_to value
     * @return \App\Api\Client\Magento\Type\ArrayType\ArrayOfString|null
     */
    public function getApply_to()
    {
        return $this->apply_to;
    }
    /**
     * Set apply_to value
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $apply_to
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setApply_to(\App\Api\Client\Magento\Type\ArrayType\ArrayOfString $apply_to = null)
    {
        $this->apply_to = $apply_to;
        return $this;
    }
    /**
     * Get is_configurable value
     * @return int|null
     */
    public function getIs_configurable()
    {
        return $this->is_configurable;
    }
    /**
     * Set is_configurable value
     * @param int $is_configurable
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setIs_configurable($is_configurable = null)
    {
        // validation for constraint: int
        if (!is_null($is_configurable) && !is_numeric($is_configurable)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_configurable)), __LINE__);
        }
        $this->is_configurable = $is_configurable;
        return $this;
    }
    /**
     * Get is_searchable value
     * @return int|null
     */
    public function getIs_searchable()
    {
        return $this->is_searchable;
    }
    /**
     * Set is_searchable value
     * @param int $is_searchable
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setIs_searchable($is_searchable = null)
    {
        // validation for constraint: int
        if (!is_null($is_searchable) && !is_numeric($is_searchable)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_searchable)), __LINE__);
        }
        $this->is_searchable = $is_searchable;
        return $this;
    }
    /**
     * Get is_visible_in_advanced_search value
     * @return int|null
     */
    public function getIs_visible_in_advanced_search()
    {
        return $this->is_visible_in_advanced_search;
    }
    /**
     * Set is_visible_in_advanced_search value
     * @param int $is_visible_in_advanced_search
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setIs_visible_in_advanced_search($is_visible_in_advanced_search = null)
    {
        // validation for constraint: int
        if (!is_null($is_visible_in_advanced_search) && !is_numeric($is_visible_in_advanced_search)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_visible_in_advanced_search)), __LINE__);
        }
        $this->is_visible_in_advanced_search = $is_visible_in_advanced_search;
        return $this;
    }
    /**
     * Get is_comparable value
     * @return int|null
     */
    public function getIs_comparable()
    {
        return $this->is_comparable;
    }
    /**
     * Set is_comparable value
     * @param int $is_comparable
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setIs_comparable($is_comparable = null)
    {
        // validation for constraint: int
        if (!is_null($is_comparable) && !is_numeric($is_comparable)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_comparable)), __LINE__);
        }
        $this->is_comparable = $is_comparable;
        return $this;
    }
    /**
     * Get is_used_for_promo_rules value
     * @return int|null
     */
    public function getIs_used_for_promo_rules()
    {
        return $this->is_used_for_promo_rules;
    }
    /**
     * Set is_used_for_promo_rules value
     * @param int $is_used_for_promo_rules
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setIs_used_for_promo_rules($is_used_for_promo_rules = null)
    {
        // validation for constraint: int
        if (!is_null($is_used_for_promo_rules) && !is_numeric($is_used_for_promo_rules)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_used_for_promo_rules)), __LINE__);
        }
        $this->is_used_for_promo_rules = $is_used_for_promo_rules;
        return $this;
    }
    /**
     * Get is_visible_on_front value
     * @return int|null
     */
    public function getIs_visible_on_front()
    {
        return $this->is_visible_on_front;
    }
    /**
     * Set is_visible_on_front value
     * @param int $is_visible_on_front
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setIs_visible_on_front($is_visible_on_front = null)
    {
        // validation for constraint: int
        if (!is_null($is_visible_on_front) && !is_numeric($is_visible_on_front)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_visible_on_front)), __LINE__);
        }
        $this->is_visible_on_front = $is_visible_on_front;
        return $this;
    }
    /**
     * Get used_in_product_listing value
     * @return int|null
     */
    public function getUsed_in_product_listing()
    {
        return $this->used_in_product_listing;
    }
    /**
     * Set used_in_product_listing value
     * @param int $used_in_product_listing
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setUsed_in_product_listing($used_in_product_listing = null)
    {
        // validation for constraint: int
        if (!is_null($used_in_product_listing) && !is_numeric($used_in_product_listing)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($used_in_product_listing)), __LINE__);
        }
        $this->used_in_product_listing = $used_in_product_listing;
        return $this;
    }
    /**
     * Get additional_fields value
     * @return \App\Api\Client\Magento\Type\ArrayType\AssociativeArray|null
     */
    public function getAdditional_fields()
    {
        return $this->additional_fields;
    }
    /**
     * Set additional_fields value
     * @param \App\Api\Client\Magento\Type\ArrayType\AssociativeArray $additional_fields
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setAdditional_fields(\App\Api\Client\Magento\Type\ArrayType\AssociativeArray $additional_fields = null)
    {
        $this->additional_fields = $additional_fields;
        return $this;
    }
    /**
     * Get options value
     * @return \App\Api\Client\Magento\Type\ArrayType\CatalogAttributeOptionEntityArray|null
     */
    public function getOptions()
    {
        return $this->options;
    }
    /**
     * Set options value
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogAttributeOptionEntityArray $options
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public function setOptions(\App\Api\Client\Magento\Type\ArrayType\CatalogAttributeOptionEntityArray $options = null)
    {
        $this->options = $options;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
