<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductAttributeMediaCreateEntity StructType
 * @subpackage Structs
 */
class CatalogProductAttributeMediaCreateEntity extends AbstractStructBase
{
    /**
     * The file
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\StructType\CatalogProductImageFileEntity
     */
    public $file;
    /**
     * The label
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $label;
    /**
     * The position
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $position;
    /**
     * The types
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\ArrayOfString
     */
    public $types;
    /**
     * The exclude
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $exclude;
    /**
     * The remove
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $remove;
    /**
     * Constructor method for catalogProductAttributeMediaCreateEntity
     * @uses CatalogProductAttributeMediaCreateEntity::setFile()
     * @uses CatalogProductAttributeMediaCreateEntity::setLabel()
     * @uses CatalogProductAttributeMediaCreateEntity::setPosition()
     * @uses CatalogProductAttributeMediaCreateEntity::setTypes()
     * @uses CatalogProductAttributeMediaCreateEntity::setExclude()
     * @uses CatalogProductAttributeMediaCreateEntity::setRemove()
     * @param \App\Api\Client\Magento\Type\StructType\CatalogProductImageFileEntity $file
     * @param string $label
     * @param string $position
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $types
     * @param string $exclude
     * @param string $remove
     */
    public function __construct(\App\Api\Client\Magento\Type\StructType\CatalogProductImageFileEntity $file = null, $label = null, $position = null, \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $types = null, $exclude = null, $remove = null)
    {
        $this
            ->setFile($file)
            ->setLabel($label)
            ->setPosition($position)
            ->setTypes($types)
            ->setExclude($exclude)
            ->setRemove($remove);
    }
    /**
     * Get file value
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductImageFileEntity|null
     */
    public function getFile()
    {
        return $this->file;
    }
    /**
     * Set file value
     * @param \App\Api\Client\Magento\Type\StructType\CatalogProductImageFileEntity $file
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeMediaCreateEntity
     */
    public function setFile(\App\Api\Client\Magento\Type\StructType\CatalogProductImageFileEntity $file = null)
    {
        $this->file = $file;
        return $this;
    }
    /**
     * Get label value
     * @return string|null
     */
    public function getLabel()
    {
        return $this->label;
    }
    /**
     * Set label value
     * @param string $label
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeMediaCreateEntity
     */
    public function setLabel($label = null)
    {
        // validation for constraint: string
        if (!is_null($label) && !is_string($label)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($label)), __LINE__);
        }
        $this->label = $label;
        return $this;
    }
    /**
     * Get position value
     * @return string|null
     */
    public function getPosition()
    {
        return $this->position;
    }
    /**
     * Set position value
     * @param string $position
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeMediaCreateEntity
     */
    public function setPosition($position = null)
    {
        // validation for constraint: string
        if (!is_null($position) && !is_string($position)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($position)), __LINE__);
        }
        $this->position = $position;
        return $this;
    }
    /**
     * Get types value
     * @return \App\Api\Client\Magento\Type\ArrayType\ArrayOfString|null
     */
    public function getTypes()
    {
        return $this->types;
    }
    /**
     * Set types value
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $types
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeMediaCreateEntity
     */
    public function setTypes(\App\Api\Client\Magento\Type\ArrayType\ArrayOfString $types = null)
    {
        $this->types = $types;
        return $this;
    }
    /**
     * Get exclude value
     * @return string|null
     */
    public function getExclude()
    {
        return $this->exclude;
    }
    /**
     * Set exclude value
     * @param string $exclude
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeMediaCreateEntity
     */
    public function setExclude($exclude = null)
    {
        // validation for constraint: string
        if (!is_null($exclude) && !is_string($exclude)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($exclude)), __LINE__);
        }
        $this->exclude = $exclude;
        return $this;
    }
    /**
     * Get remove value
     * @return string|null
     */
    public function getRemove()
    {
        return $this->remove;
    }
    /**
     * Set remove value
     * @param string $remove
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeMediaCreateEntity
     */
    public function setRemove($remove = null)
    {
        // validation for constraint: string
        if (!is_null($remove) && !is_string($remove)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($remove)), __LINE__);
        }
        $this->remove = $remove;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeMediaCreateEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
