<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductAttributeMediaTypesRequestParam StructType
 * @subpackage Structs
 */
class CatalogProductAttributeMediaTypesRequestParam extends AbstractStructBase
{
    /**
     * The sessionId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sessionId;
    /**
     * The setId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $setId;
    /**
     * Constructor method for catalogProductAttributeMediaTypesRequestParam
     * @uses CatalogProductAttributeMediaTypesRequestParam::setSessionId()
     * @uses CatalogProductAttributeMediaTypesRequestParam::setSetId()
     * @param string $sessionId
     * @param string $setId
     */
    public function __construct($sessionId = null, $setId = null)
    {
        $this
            ->setSessionId($sessionId)
            ->setSetId($setId);
    }
    /**
     * Get sessionId value
     * @return string
     */
    public function getSessionId()
    {
        return $this->sessionId;
    }
    /**
     * Set sessionId value
     * @param string $sessionId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeMediaTypesRequestParam
     */
    public function setSessionId($sessionId = null)
    {
        // validation for constraint: string
        if (!is_null($sessionId) && !is_string($sessionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sessionId)), __LINE__);
        }
        $this->sessionId = $sessionId;
        return $this;
    }
    /**
     * Get setId value
     * @return string
     */
    public function getSetId()
    {
        return $this->setId;
    }
    /**
     * Set setId value
     * @param string $setId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeMediaTypesRequestParam
     */
    public function setSetId($setId = null)
    {
        // validation for constraint: string
        if (!is_null($setId) && !is_string($setId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($setId)), __LINE__);
        }
        $this->setId = $setId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeMediaTypesRequestParam
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
