<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductAttributeOptionEntityToAdd StructType
 * @subpackage Structs
 */
class CatalogProductAttributeOptionEntityToAdd extends AbstractStructBase
{
    /**
     * The label
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeOptionLabelArray
     */
    public $label;
    /**
     * The order
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $order;
    /**
     * The is_default
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $is_default;
    /**
     * Constructor method for catalogProductAttributeOptionEntityToAdd
     * @uses CatalogProductAttributeOptionEntityToAdd::setLabel()
     * @uses CatalogProductAttributeOptionEntityToAdd::setOrder()
     * @uses CatalogProductAttributeOptionEntityToAdd::setIs_default()
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeOptionLabelArray $label
     * @param int $order
     * @param int $is_default
     */
    public function __construct(\App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeOptionLabelArray $label = null, $order = null, $is_default = null)
    {
        $this
            ->setLabel($label)
            ->setOrder($order)
            ->setIs_default($is_default);
    }
    /**
     * Get label value
     * @return \App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeOptionLabelArray
     */
    public function getLabel()
    {
        return $this->label;
    }
    /**
     * Set label value
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeOptionLabelArray $label
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeOptionEntityToAdd
     */
    public function setLabel(\App\Api\Client\Magento\Type\ArrayType\CatalogProductAttributeOptionLabelArray $label = null)
    {
        $this->label = $label;
        return $this;
    }
    /**
     * Get order value
     * @return int
     */
    public function getOrder()
    {
        return $this->order;
    }
    /**
     * Set order value
     * @param int $order
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeOptionEntityToAdd
     */
    public function setOrder($order = null)
    {
        // validation for constraint: int
        if (!is_null($order) && !is_numeric($order)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($order)), __LINE__);
        }
        $this->order = $order;
        return $this;
    }
    /**
     * Get is_default value
     * @return int
     */
    public function getIs_default()
    {
        return $this->is_default;
    }
    /**
     * Set is_default value
     * @param int $is_default
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeOptionEntityToAdd
     */
    public function setIs_default($is_default = null)
    {
        // validation for constraint: int
        if (!is_null($is_default) && !is_numeric($is_default)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_default)), __LINE__);
        }
        $this->is_default = $is_default;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeOptionEntityToAdd
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
