<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductAttributeSetGroupAddRequestParam StructType
 * @subpackage Structs
 */
class CatalogProductAttributeSetGroupAddRequestParam extends AbstractStructBase
{
    /**
     * The sessionId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sessionId;
    /**
     * The attributeSetId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $attributeSetId;
    /**
     * The groupName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $groupName;
    /**
     * Constructor method for catalogProductAttributeSetGroupAddRequestParam
     * @uses CatalogProductAttributeSetGroupAddRequestParam::setSessionId()
     * @uses CatalogProductAttributeSetGroupAddRequestParam::setAttributeSetId()
     * @uses CatalogProductAttributeSetGroupAddRequestParam::setGroupName()
     * @param string $sessionId
     * @param string $attributeSetId
     * @param string $groupName
     */
    public function __construct($sessionId = null, $attributeSetId = null, $groupName = null)
    {
        $this
            ->setSessionId($sessionId)
            ->setAttributeSetId($attributeSetId)
            ->setGroupName($groupName);
    }
    /**
     * Get sessionId value
     * @return string
     */
    public function getSessionId()
    {
        return $this->sessionId;
    }
    /**
     * Set sessionId value
     * @param string $sessionId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeSetGroupAddRequestParam
     */
    public function setSessionId($sessionId = null)
    {
        // validation for constraint: string
        if (!is_null($sessionId) && !is_string($sessionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sessionId)), __LINE__);
        }
        $this->sessionId = $sessionId;
        return $this;
    }
    /**
     * Get attributeSetId value
     * @return string
     */
    public function getAttributeSetId()
    {
        return $this->attributeSetId;
    }
    /**
     * Set attributeSetId value
     * @param string $attributeSetId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeSetGroupAddRequestParam
     */
    public function setAttributeSetId($attributeSetId = null)
    {
        // validation for constraint: string
        if (!is_null($attributeSetId) && !is_string($attributeSetId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attributeSetId)), __LINE__);
        }
        $this->attributeSetId = $attributeSetId;
        return $this;
    }
    /**
     * Get groupName value
     * @return string
     */
    public function getGroupName()
    {
        return $this->groupName;
    }
    /**
     * Set groupName value
     * @param string $groupName
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeSetGroupAddRequestParam
     */
    public function setGroupName($groupName = null)
    {
        // validation for constraint: string
        if (!is_null($groupName) && !is_string($groupName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($groupName)), __LINE__);
        }
        $this->groupName = $groupName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductAttributeSetGroupAddRequestParam
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
