<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductCustomOptionAddRequestParam StructType
 * @subpackage Structs
 */
class CatalogProductCustomOptionAddRequestParam extends AbstractStructBase
{
    /**
     * The sessionId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sessionId;
    /**
     * The productId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $productId;
    /**
     * The data
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd
     */
    public $data;
    /**
     * The store
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $store;
    /**
     * Constructor method for catalogProductCustomOptionAddRequestParam
     * @uses CatalogProductCustomOptionAddRequestParam::setSessionId()
     * @uses CatalogProductCustomOptionAddRequestParam::setProductId()
     * @uses CatalogProductCustomOptionAddRequestParam::setData()
     * @uses CatalogProductCustomOptionAddRequestParam::setStore()
     * @param string $sessionId
     * @param string $productId
     * @param \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd $data
     * @param string $store
     */
    public function __construct($sessionId = null, $productId = null, \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd $data = null, $store = null)
    {
        $this
            ->setSessionId($sessionId)
            ->setProductId($productId)
            ->setData($data)
            ->setStore($store);
    }
    /**
     * Get sessionId value
     * @return string
     */
    public function getSessionId()
    {
        return $this->sessionId;
    }
    /**
     * Set sessionId value
     * @param string $sessionId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAddRequestParam
     */
    public function setSessionId($sessionId = null)
    {
        // validation for constraint: string
        if (!is_null($sessionId) && !is_string($sessionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sessionId)), __LINE__);
        }
        $this->sessionId = $sessionId;
        return $this;
    }
    /**
     * Get productId value
     * @return string
     */
    public function getProductId()
    {
        return $this->productId;
    }
    /**
     * Set productId value
     * @param string $productId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAddRequestParam
     */
    public function setProductId($productId = null)
    {
        // validation for constraint: string
        if (!is_null($productId) && !is_string($productId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($productId)), __LINE__);
        }
        $this->productId = $productId;
        return $this;
    }
    /**
     * Get data value
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd
     */
    public function getData()
    {
        return $this->data;
    }
    /**
     * Set data value
     * @param \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd $data
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAddRequestParam
     */
    public function setData(\App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd $data = null)
    {
        $this->data = $data;
        return $this;
    }
    /**
     * Get store value
     * @return string|null
     */
    public function getStore()
    {
        return $this->store;
    }
    /**
     * Set store value
     * @param string $store
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAddRequestParam
     */
    public function setStore($store = null)
    {
        // validation for constraint: string
        if (!is_null($store) && !is_string($store)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($store)), __LINE__);
        }
        $this->store = $store;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAddRequestParam
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
