<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductCustomOptionAdditionalFieldsEntity
 * StructType
 * @subpackage Structs
 */
class CatalogProductCustomOptionAdditionalFieldsEntity extends AbstractStructBase
{
    /**
     * The title
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $title;
    /**
     * The price
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $price;
    /**
     * The price_type
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $price_type;
    /**
     * The sku
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sku;
    /**
     * The max_characters
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $max_characters;
    /**
     * The sort_order
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sort_order;
    /**
     * The file_extension
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $file_extension;
    /**
     * The image_size_x
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $image_size_x;
    /**
     * The image_size_y
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $image_size_y;
    /**
     * The value_id
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $value_id;
    /**
     * Constructor method for catalogProductCustomOptionAdditionalFieldsEntity
     * @uses CatalogProductCustomOptionAdditionalFieldsEntity::setTitle()
     * @uses CatalogProductCustomOptionAdditionalFieldsEntity::setPrice()
     * @uses CatalogProductCustomOptionAdditionalFieldsEntity::setPrice_type()
     * @uses CatalogProductCustomOptionAdditionalFieldsEntity::setSku()
     * @uses CatalogProductCustomOptionAdditionalFieldsEntity::setMax_characters()
     * @uses CatalogProductCustomOptionAdditionalFieldsEntity::setSort_order()
     * @uses CatalogProductCustomOptionAdditionalFieldsEntity::setFile_extension()
     * @uses CatalogProductCustomOptionAdditionalFieldsEntity::setImage_size_x()
     * @uses CatalogProductCustomOptionAdditionalFieldsEntity::setImage_size_y()
     * @uses CatalogProductCustomOptionAdditionalFieldsEntity::setValue_id()
     * @param string $title
     * @param string $price
     * @param string $price_type
     * @param string $sku
     * @param string $max_characters
     * @param string $sort_order
     * @param string $file_extension
     * @param string $image_size_x
     * @param string $image_size_y
     * @param string $value_id
     */
    public function __construct($title = null, $price = null, $price_type = null, $sku = null, $max_characters = null, $sort_order = null, $file_extension = null, $image_size_x = null, $image_size_y = null, $value_id = null)
    {
        $this
            ->setTitle($title)
            ->setPrice($price)
            ->setPrice_type($price_type)
            ->setSku($sku)
            ->setMax_characters($max_characters)
            ->setSort_order($sort_order)
            ->setFile_extension($file_extension)
            ->setImage_size_x($image_size_x)
            ->setImage_size_y($image_size_y)
            ->setValue_id($value_id);
    }
    /**
     * Get title value
     * @return string|null
     */
    public function getTitle()
    {
        return $this->title;
    }
    /**
     * Set title value
     * @param string $title
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAdditionalFieldsEntity
     */
    public function setTitle($title = null)
    {
        // validation for constraint: string
        if (!is_null($title) && !is_string($title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($title)), __LINE__);
        }
        $this->title = $title;
        return $this;
    }
    /**
     * Get price value
     * @return string|null
     */
    public function getPrice()
    {
        return $this->price;
    }
    /**
     * Set price value
     * @param string $price
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAdditionalFieldsEntity
     */
    public function setPrice($price = null)
    {
        // validation for constraint: string
        if (!is_null($price) && !is_string($price)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($price)), __LINE__);
        }
        $this->price = $price;
        return $this;
    }
    /**
     * Get price_type value
     * @return string|null
     */
    public function getPrice_type()
    {
        return $this->price_type;
    }
    /**
     * Set price_type value
     * @param string $price_type
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAdditionalFieldsEntity
     */
    public function setPrice_type($price_type = null)
    {
        // validation for constraint: string
        if (!is_null($price_type) && !is_string($price_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($price_type)), __LINE__);
        }
        $this->price_type = $price_type;
        return $this;
    }
    /**
     * Get sku value
     * @return string|null
     */
    public function getSku()
    {
        return $this->sku;
    }
    /**
     * Set sku value
     * @param string $sku
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAdditionalFieldsEntity
     */
    public function setSku($sku = null)
    {
        // validation for constraint: string
        if (!is_null($sku) && !is_string($sku)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sku)), __LINE__);
        }
        $this->sku = $sku;
        return $this;
    }
    /**
     * Get max_characters value
     * @return string|null
     */
    public function getMax_characters()
    {
        return $this->max_characters;
    }
    /**
     * Set max_characters value
     * @param string $max_characters
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAdditionalFieldsEntity
     */
    public function setMax_characters($max_characters = null)
    {
        // validation for constraint: string
        if (!is_null($max_characters) && !is_string($max_characters)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($max_characters)), __LINE__);
        }
        $this->max_characters = $max_characters;
        return $this;
    }
    /**
     * Get sort_order value
     * @return string|null
     */
    public function getSort_order()
    {
        return $this->sort_order;
    }
    /**
     * Set sort_order value
     * @param string $sort_order
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAdditionalFieldsEntity
     */
    public function setSort_order($sort_order = null)
    {
        // validation for constraint: string
        if (!is_null($sort_order) && !is_string($sort_order)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sort_order)), __LINE__);
        }
        $this->sort_order = $sort_order;
        return $this;
    }
    /**
     * Get file_extension value
     * @return string|null
     */
    public function getFile_extension()
    {
        return $this->file_extension;
    }
    /**
     * Set file_extension value
     * @param string $file_extension
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAdditionalFieldsEntity
     */
    public function setFile_extension($file_extension = null)
    {
        // validation for constraint: string
        if (!is_null($file_extension) && !is_string($file_extension)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($file_extension)), __LINE__);
        }
        $this->file_extension = $file_extension;
        return $this;
    }
    /**
     * Get image_size_x value
     * @return string|null
     */
    public function getImage_size_x()
    {
        return $this->image_size_x;
    }
    /**
     * Set image_size_x value
     * @param string $image_size_x
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAdditionalFieldsEntity
     */
    public function setImage_size_x($image_size_x = null)
    {
        // validation for constraint: string
        if (!is_null($image_size_x) && !is_string($image_size_x)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($image_size_x)), __LINE__);
        }
        $this->image_size_x = $image_size_x;
        return $this;
    }
    /**
     * Get image_size_y value
     * @return string|null
     */
    public function getImage_size_y()
    {
        return $this->image_size_y;
    }
    /**
     * Set image_size_y value
     * @param string $image_size_y
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAdditionalFieldsEntity
     */
    public function setImage_size_y($image_size_y = null)
    {
        // validation for constraint: string
        if (!is_null($image_size_y) && !is_string($image_size_y)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($image_size_y)), __LINE__);
        }
        $this->image_size_y = $image_size_y;
        return $this;
    }
    /**
     * Get value_id value
     * @return string|null
     */
    public function getValue_id()
    {
        return $this->value_id;
    }
    /**
     * Set value_id value
     * @param string $value_id
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAdditionalFieldsEntity
     */
    public function setValue_id($value_id = null)
    {
        // validation for constraint: string
        if (!is_null($value_id) && !is_string($value_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($value_id)), __LINE__);
        }
        $this->value_id = $value_id;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionAdditionalFieldsEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
