<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductCustomOptionToAdd StructType
 * @subpackage Structs
 */
class CatalogProductCustomOptionToAdd extends AbstractStructBase
{
    /**
     * The title
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $title;
    /**
     * The type
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $type;
    /**
     * The additional_fields
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionAdditionalFieldsArray
     */
    public $additional_fields;
    /**
     * The sort_order
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sort_order;
    /**
     * The is_require
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $is_require;
    /**
     * Constructor method for catalogProductCustomOptionToAdd
     * @uses CatalogProductCustomOptionToAdd::setTitle()
     * @uses CatalogProductCustomOptionToAdd::setType()
     * @uses CatalogProductCustomOptionToAdd::setAdditional_fields()
     * @uses CatalogProductCustomOptionToAdd::setSort_order()
     * @uses CatalogProductCustomOptionToAdd::setIs_require()
     * @param string $title
     * @param string $type
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionAdditionalFieldsArray $additional_fields
     * @param string $sort_order
     * @param int $is_require
     */
    public function __construct($title = null, $type = null, \App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionAdditionalFieldsArray $additional_fields = null, $sort_order = null, $is_require = null)
    {
        $this
            ->setTitle($title)
            ->setType($type)
            ->setAdditional_fields($additional_fields)
            ->setSort_order($sort_order)
            ->setIs_require($is_require);
    }
    /**
     * Get title value
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }
    /**
     * Set title value
     * @param string $title
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd
     */
    public function setTitle($title = null)
    {
        // validation for constraint: string
        if (!is_null($title) && !is_string($title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($title)), __LINE__);
        }
        $this->title = $title;
        return $this;
    }
    /**
     * Get type value
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get additional_fields value
     * @return \App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionAdditionalFieldsArray
     */
    public function getAdditional_fields()
    {
        return $this->additional_fields;
    }
    /**
     * Set additional_fields value
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionAdditionalFieldsArray $additional_fields
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd
     */
    public function setAdditional_fields(\App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionAdditionalFieldsArray $additional_fields = null)
    {
        $this->additional_fields = $additional_fields;
        return $this;
    }
    /**
     * Get sort_order value
     * @return string|null
     */
    public function getSort_order()
    {
        return $this->sort_order;
    }
    /**
     * Set sort_order value
     * @param string $sort_order
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd
     */
    public function setSort_order($sort_order = null)
    {
        // validation for constraint: string
        if (!is_null($sort_order) && !is_string($sort_order)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sort_order)), __LINE__);
        }
        $this->sort_order = $sort_order;
        return $this;
    }
    /**
     * Get is_require value
     * @return int|null
     */
    public function getIs_require()
    {
        return $this->is_require;
    }
    /**
     * Set is_require value
     * @param int $is_require
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd
     */
    public function setIs_require($is_require = null)
    {
        // validation for constraint: int
        if (!is_null($is_require) && !is_numeric($is_require)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($is_require)), __LINE__);
        }
        $this->is_require = $is_require;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionToAdd
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
