<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductCustomOptionValueAddRequestParam StructType
 * @subpackage Structs
 */
class CatalogProductCustomOptionValueAddRequestParam extends AbstractStructBase
{
    /**
     * The sessionId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sessionId;
    /**
     * The optionId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $optionId;
    /**
     * The data
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionValueAddArray
     */
    public $data;
    /**
     * The store
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $store;
    /**
     * Constructor method for catalogProductCustomOptionValueAddRequestParam
     * @uses CatalogProductCustomOptionValueAddRequestParam::setSessionId()
     * @uses CatalogProductCustomOptionValueAddRequestParam::setOptionId()
     * @uses CatalogProductCustomOptionValueAddRequestParam::setData()
     * @uses CatalogProductCustomOptionValueAddRequestParam::setStore()
     * @param string $sessionId
     * @param string $optionId
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionValueAddArray $data
     * @param string $store
     */
    public function __construct($sessionId = null, $optionId = null, \App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionValueAddArray $data = null, $store = null)
    {
        $this
            ->setSessionId($sessionId)
            ->setOptionId($optionId)
            ->setData($data)
            ->setStore($store);
    }
    /**
     * Get sessionId value
     * @return string
     */
    public function getSessionId()
    {
        return $this->sessionId;
    }
    /**
     * Set sessionId value
     * @param string $sessionId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueAddRequestParam
     */
    public function setSessionId($sessionId = null)
    {
        // validation for constraint: string
        if (!is_null($sessionId) && !is_string($sessionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sessionId)), __LINE__);
        }
        $this->sessionId = $sessionId;
        return $this;
    }
    /**
     * Get optionId value
     * @return string
     */
    public function getOptionId()
    {
        return $this->optionId;
    }
    /**
     * Set optionId value
     * @param string $optionId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueAddRequestParam
     */
    public function setOptionId($optionId = null)
    {
        // validation for constraint: string
        if (!is_null($optionId) && !is_string($optionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($optionId)), __LINE__);
        }
        $this->optionId = $optionId;
        return $this;
    }
    /**
     * Get data value
     * @return \App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionValueAddArray
     */
    public function getData()
    {
        return $this->data;
    }
    /**
     * Set data value
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionValueAddArray $data
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueAddRequestParam
     */
    public function setData(\App\Api\Client\Magento\Type\ArrayType\CatalogProductCustomOptionValueAddArray $data = null)
    {
        $this->data = $data;
        return $this;
    }
    /**
     * Get store value
     * @return string|null
     */
    public function getStore()
    {
        return $this->store;
    }
    /**
     * Set store value
     * @param string $store
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueAddRequestParam
     */
    public function setStore($store = null)
    {
        // validation for constraint: string
        if (!is_null($store) && !is_string($store)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($store)), __LINE__);
        }
        $this->store = $store;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueAddRequestParam
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
