<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductCustomOptionValueInfoEntity StructType
 * @subpackage Structs
 */
class CatalogProductCustomOptionValueInfoEntity extends AbstractStructBase
{
    /**
     * The value_id
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $value_id;
    /**
     * The option_id
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $option_id;
    /**
     * The sku
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sku;
    /**
     * The sort_order
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sort_order;
    /**
     * The default_price
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $default_price;
    /**
     * The default_price_type
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $default_price_type;
    /**
     * The store_price
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $store_price;
    /**
     * The store_price_type
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $store_price_type;
    /**
     * The price
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $price;
    /**
     * The price_type
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $price_type;
    /**
     * The default_title
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $default_title;
    /**
     * The store_title
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $store_title;
    /**
     * The title
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $title;
    /**
     * Constructor method for catalogProductCustomOptionValueInfoEntity
     * @uses CatalogProductCustomOptionValueInfoEntity::setValue_id()
     * @uses CatalogProductCustomOptionValueInfoEntity::setOption_id()
     * @uses CatalogProductCustomOptionValueInfoEntity::setSku()
     * @uses CatalogProductCustomOptionValueInfoEntity::setSort_order()
     * @uses CatalogProductCustomOptionValueInfoEntity::setDefault_price()
     * @uses CatalogProductCustomOptionValueInfoEntity::setDefault_price_type()
     * @uses CatalogProductCustomOptionValueInfoEntity::setStore_price()
     * @uses CatalogProductCustomOptionValueInfoEntity::setStore_price_type()
     * @uses CatalogProductCustomOptionValueInfoEntity::setPrice()
     * @uses CatalogProductCustomOptionValueInfoEntity::setPrice_type()
     * @uses CatalogProductCustomOptionValueInfoEntity::setDefault_title()
     * @uses CatalogProductCustomOptionValueInfoEntity::setStore_title()
     * @uses CatalogProductCustomOptionValueInfoEntity::setTitle()
     * @param string $value_id
     * @param string $option_id
     * @param string $sku
     * @param string $sort_order
     * @param string $default_price
     * @param string $default_price_type
     * @param string $store_price
     * @param string $store_price_type
     * @param string $price
     * @param string $price_type
     * @param string $default_title
     * @param string $store_title
     * @param string $title
     */
    public function __construct($value_id = null, $option_id = null, $sku = null, $sort_order = null, $default_price = null, $default_price_type = null, $store_price = null, $store_price_type = null, $price = null, $price_type = null, $default_title = null, $store_title = null, $title = null)
    {
        $this
            ->setValue_id($value_id)
            ->setOption_id($option_id)
            ->setSku($sku)
            ->setSort_order($sort_order)
            ->setDefault_price($default_price)
            ->setDefault_price_type($default_price_type)
            ->setStore_price($store_price)
            ->setStore_price_type($store_price_type)
            ->setPrice($price)
            ->setPrice_type($price_type)
            ->setDefault_title($default_title)
            ->setStore_title($store_title)
            ->setTitle($title);
    }
    /**
     * Get value_id value
     * @return string
     */
    public function getValue_id()
    {
        return $this->value_id;
    }
    /**
     * Set value_id value
     * @param string $value_id
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setValue_id($value_id = null)
    {
        // validation for constraint: string
        if (!is_null($value_id) && !is_string($value_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($value_id)), __LINE__);
        }
        $this->value_id = $value_id;
        return $this;
    }
    /**
     * Get option_id value
     * @return string
     */
    public function getOption_id()
    {
        return $this->option_id;
    }
    /**
     * Set option_id value
     * @param string $option_id
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setOption_id($option_id = null)
    {
        // validation for constraint: string
        if (!is_null($option_id) && !is_string($option_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($option_id)), __LINE__);
        }
        $this->option_id = $option_id;
        return $this;
    }
    /**
     * Get sku value
     * @return string
     */
    public function getSku()
    {
        return $this->sku;
    }
    /**
     * Set sku value
     * @param string $sku
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setSku($sku = null)
    {
        // validation for constraint: string
        if (!is_null($sku) && !is_string($sku)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sku)), __LINE__);
        }
        $this->sku = $sku;
        return $this;
    }
    /**
     * Get sort_order value
     * @return string
     */
    public function getSort_order()
    {
        return $this->sort_order;
    }
    /**
     * Set sort_order value
     * @param string $sort_order
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setSort_order($sort_order = null)
    {
        // validation for constraint: string
        if (!is_null($sort_order) && !is_string($sort_order)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sort_order)), __LINE__);
        }
        $this->sort_order = $sort_order;
        return $this;
    }
    /**
     * Get default_price value
     * @return string
     */
    public function getDefault_price()
    {
        return $this->default_price;
    }
    /**
     * Set default_price value
     * @param string $default_price
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setDefault_price($default_price = null)
    {
        // validation for constraint: string
        if (!is_null($default_price) && !is_string($default_price)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($default_price)), __LINE__);
        }
        $this->default_price = $default_price;
        return $this;
    }
    /**
     * Get default_price_type value
     * @return string
     */
    public function getDefault_price_type()
    {
        return $this->default_price_type;
    }
    /**
     * Set default_price_type value
     * @param string $default_price_type
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setDefault_price_type($default_price_type = null)
    {
        // validation for constraint: string
        if (!is_null($default_price_type) && !is_string($default_price_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($default_price_type)), __LINE__);
        }
        $this->default_price_type = $default_price_type;
        return $this;
    }
    /**
     * Get store_price value
     * @return string
     */
    public function getStore_price()
    {
        return $this->store_price;
    }
    /**
     * Set store_price value
     * @param string $store_price
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setStore_price($store_price = null)
    {
        // validation for constraint: string
        if (!is_null($store_price) && !is_string($store_price)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($store_price)), __LINE__);
        }
        $this->store_price = $store_price;
        return $this;
    }
    /**
     * Get store_price_type value
     * @return string
     */
    public function getStore_price_type()
    {
        return $this->store_price_type;
    }
    /**
     * Set store_price_type value
     * @param string $store_price_type
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setStore_price_type($store_price_type = null)
    {
        // validation for constraint: string
        if (!is_null($store_price_type) && !is_string($store_price_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($store_price_type)), __LINE__);
        }
        $this->store_price_type = $store_price_type;
        return $this;
    }
    /**
     * Get price value
     * @return string
     */
    public function getPrice()
    {
        return $this->price;
    }
    /**
     * Set price value
     * @param string $price
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setPrice($price = null)
    {
        // validation for constraint: string
        if (!is_null($price) && !is_string($price)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($price)), __LINE__);
        }
        $this->price = $price;
        return $this;
    }
    /**
     * Get price_type value
     * @return string
     */
    public function getPrice_type()
    {
        return $this->price_type;
    }
    /**
     * Set price_type value
     * @param string $price_type
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setPrice_type($price_type = null)
    {
        // validation for constraint: string
        if (!is_null($price_type) && !is_string($price_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($price_type)), __LINE__);
        }
        $this->price_type = $price_type;
        return $this;
    }
    /**
     * Get default_title value
     * @return string
     */
    public function getDefault_title()
    {
        return $this->default_title;
    }
    /**
     * Set default_title value
     * @param string $default_title
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setDefault_title($default_title = null)
    {
        // validation for constraint: string
        if (!is_null($default_title) && !is_string($default_title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($default_title)), __LINE__);
        }
        $this->default_title = $default_title;
        return $this;
    }
    /**
     * Get store_title value
     * @return string
     */
    public function getStore_title()
    {
        return $this->store_title;
    }
    /**
     * Set store_title value
     * @param string $store_title
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setStore_title($store_title = null)
    {
        // validation for constraint: string
        if (!is_null($store_title) && !is_string($store_title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($store_title)), __LINE__);
        }
        $this->store_title = $store_title;
        return $this;
    }
    /**
     * Get title value
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }
    /**
     * Set title value
     * @param string $title
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public function setTitle($title = null)
    {
        // validation for constraint: string
        if (!is_null($title) && !is_string($title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($title)), __LINE__);
        }
        $this->title = $title;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueInfoEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
