<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductCustomOptionValueUpdateEntity StructType
 * @subpackage Structs
 */
class CatalogProductCustomOptionValueUpdateEntity extends AbstractStructBase
{
    /**
     * The title
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $title;
    /**
     * The price
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $price;
    /**
     * The price_type
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $price_type;
    /**
     * The sku
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sku;
    /**
     * The sort_order
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sort_order;
    /**
     * Constructor method for catalogProductCustomOptionValueUpdateEntity
     * @uses CatalogProductCustomOptionValueUpdateEntity::setTitle()
     * @uses CatalogProductCustomOptionValueUpdateEntity::setPrice()
     * @uses CatalogProductCustomOptionValueUpdateEntity::setPrice_type()
     * @uses CatalogProductCustomOptionValueUpdateEntity::setSku()
     * @uses CatalogProductCustomOptionValueUpdateEntity::setSort_order()
     * @param string $title
     * @param string $price
     * @param string $price_type
     * @param string $sku
     * @param string $sort_order
     */
    public function __construct($title = null, $price = null, $price_type = null, $sku = null, $sort_order = null)
    {
        $this
            ->setTitle($title)
            ->setPrice($price)
            ->setPrice_type($price_type)
            ->setSku($sku)
            ->setSort_order($sort_order);
    }
    /**
     * Get title value
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }
    /**
     * Set title value
     * @param string $title
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueUpdateEntity
     */
    public function setTitle($title = null)
    {
        // validation for constraint: string
        if (!is_null($title) && !is_string($title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($title)), __LINE__);
        }
        $this->title = $title;
        return $this;
    }
    /**
     * Get price value
     * @return string
     */
    public function getPrice()
    {
        return $this->price;
    }
    /**
     * Set price value
     * @param string $price
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueUpdateEntity
     */
    public function setPrice($price = null)
    {
        // validation for constraint: string
        if (!is_null($price) && !is_string($price)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($price)), __LINE__);
        }
        $this->price = $price;
        return $this;
    }
    /**
     * Get price_type value
     * @return string
     */
    public function getPrice_type()
    {
        return $this->price_type;
    }
    /**
     * Set price_type value
     * @param string $price_type
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueUpdateEntity
     */
    public function setPrice_type($price_type = null)
    {
        // validation for constraint: string
        if (!is_null($price_type) && !is_string($price_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($price_type)), __LINE__);
        }
        $this->price_type = $price_type;
        return $this;
    }
    /**
     * Get sku value
     * @return string
     */
    public function getSku()
    {
        return $this->sku;
    }
    /**
     * Set sku value
     * @param string $sku
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueUpdateEntity
     */
    public function setSku($sku = null)
    {
        // validation for constraint: string
        if (!is_null($sku) && !is_string($sku)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sku)), __LINE__);
        }
        $this->sku = $sku;
        return $this;
    }
    /**
     * Get sort_order value
     * @return string|null
     */
    public function getSort_order()
    {
        return $this->sort_order;
    }
    /**
     * Set sort_order value
     * @param string $sort_order
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueUpdateEntity
     */
    public function setSort_order($sort_order = null)
    {
        // validation for constraint: string
        if (!is_null($sort_order) && !is_string($sort_order)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sort_order)), __LINE__);
        }
        $this->sort_order = $sort_order;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductCustomOptionValueUpdateEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
