<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductDownloadableLinkFileEntity StructType
 * @subpackage Structs
 */
class CatalogProductDownloadableLinkFileEntity extends AbstractStructBase
{
    /**
     * The name
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The base64_content
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $base64_content;
    /**
     * Constructor method for catalogProductDownloadableLinkFileEntity
     * @uses CatalogProductDownloadableLinkFileEntity::setName()
     * @uses CatalogProductDownloadableLinkFileEntity::setBase64_content()
     * @param string $name
     * @param string $base64_content
     */
    public function __construct($name = null, $base64_content = null)
    {
        $this
            ->setName($name)
            ->setBase64_content($base64_content);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductDownloadableLinkFileEntity
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get base64_content value
     * @return string|null
     */
    public function getBase64_content()
    {
        return $this->base64_content;
    }
    /**
     * Set base64_content value
     * @param string $base64_content
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductDownloadableLinkFileEntity
     */
    public function setBase64_content($base64_content = null)
    {
        // validation for constraint: string
        if (!is_null($base64_content) && !is_string($base64_content)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($base64_content)), __LINE__);
        }
        $this->base64_content = $base64_content;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductDownloadableLinkFileEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
