<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductReturnEntity StructType
 * @subpackage Structs
 */
class CatalogProductReturnEntity extends AbstractStructBase
{
    /**
     * The product_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $product_id;
    /**
     * The sku
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sku;
    /**
     * The set
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $set;
    /**
     * The type
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * The categories
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\ArrayOfString
     */
    public $categories;
    /**
     * The websites
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\ArrayOfString
     */
    public $websites;
    /**
     * The created_at
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $created_at;
    /**
     * The updated_at
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $updated_at;
    /**
     * The type_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type_id;
    /**
     * The name
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The short_description
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $short_description;
    /**
     * The weight
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $weight;
    /**
     * The status
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $status;
    /**
     * The url_key
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $url_key;
    /**
     * The url_path
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $url_path;
    /**
     * The visibility
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $visibility;
    /**
     * The category_ids
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\ArrayOfString
     */
    public $category_ids;
    /**
     * The website_ids
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\ArrayOfString
     */
    public $website_ids;
    /**
     * The has_options
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $has_options;
    /**
     * The gift_message_available
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $gift_message_available;
    /**
     * The price
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $price;
    /**
     * The special_price
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $special_price;
    /**
     * The special_from_date
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $special_from_date;
    /**
     * The special_to_date
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $special_to_date;
    /**
     * The tax_class_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tax_class_id;
    /**
     * The tier_price
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\CatalogProductTierPriceEntityArray
     */
    public $tier_price;
    /**
     * The meta_title
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $meta_title;
    /**
     * The meta_keyword
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $meta_keyword;
    /**
     * The meta_description
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $meta_description;
    /**
     * The custom_design
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $custom_design;
    /**
     * The custom_layout_update
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $custom_layout_update;
    /**
     * The options_container
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $options_container;
    /**
     * The additional_attributes
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\AssociativeArray
     */
    public $additional_attributes;
    /**
     * Constructor method for catalogProductReturnEntity
     * @uses CatalogProductReturnEntity::setProduct_id()
     * @uses CatalogProductReturnEntity::setSku()
     * @uses CatalogProductReturnEntity::setSet()
     * @uses CatalogProductReturnEntity::setType()
     * @uses CatalogProductReturnEntity::setCategories()
     * @uses CatalogProductReturnEntity::setWebsites()
     * @uses CatalogProductReturnEntity::setCreated_at()
     * @uses CatalogProductReturnEntity::setUpdated_at()
     * @uses CatalogProductReturnEntity::setType_id()
     * @uses CatalogProductReturnEntity::setName()
     * @uses CatalogProductReturnEntity::setDescription()
     * @uses CatalogProductReturnEntity::setShort_description()
     * @uses CatalogProductReturnEntity::setWeight()
     * @uses CatalogProductReturnEntity::setStatus()
     * @uses CatalogProductReturnEntity::setUrl_key()
     * @uses CatalogProductReturnEntity::setUrl_path()
     * @uses CatalogProductReturnEntity::setVisibility()
     * @uses CatalogProductReturnEntity::setCategory_ids()
     * @uses CatalogProductReturnEntity::setWebsite_ids()
     * @uses CatalogProductReturnEntity::setHas_options()
     * @uses CatalogProductReturnEntity::setGift_message_available()
     * @uses CatalogProductReturnEntity::setPrice()
     * @uses CatalogProductReturnEntity::setSpecial_price()
     * @uses CatalogProductReturnEntity::setSpecial_from_date()
     * @uses CatalogProductReturnEntity::setSpecial_to_date()
     * @uses CatalogProductReturnEntity::setTax_class_id()
     * @uses CatalogProductReturnEntity::setTier_price()
     * @uses CatalogProductReturnEntity::setMeta_title()
     * @uses CatalogProductReturnEntity::setMeta_keyword()
     * @uses CatalogProductReturnEntity::setMeta_description()
     * @uses CatalogProductReturnEntity::setCustom_design()
     * @uses CatalogProductReturnEntity::setCustom_layout_update()
     * @uses CatalogProductReturnEntity::setOptions_container()
     * @uses CatalogProductReturnEntity::setAdditional_attributes()
     * @param string $product_id
     * @param string $sku
     * @param string $set
     * @param string $type
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $categories
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $websites
     * @param string $created_at
     * @param string $updated_at
     * @param string $type_id
     * @param string $name
     * @param string $description
     * @param string $short_description
     * @param string $weight
     * @param string $status
     * @param string $url_key
     * @param string $url_path
     * @param string $visibility
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $category_ids
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $website_ids
     * @param string $has_options
     * @param string $gift_message_available
     * @param string $price
     * @param string $special_price
     * @param string $special_from_date
     * @param string $special_to_date
     * @param string $tax_class_id
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogProductTierPriceEntityArray $tier_price
     * @param string $meta_title
     * @param string $meta_keyword
     * @param string $meta_description
     * @param string $custom_design
     * @param string $custom_layout_update
     * @param string $options_container
     * @param \App\Api\Client\Magento\Type\ArrayType\AssociativeArray $additional_attributes
     */
    public function __construct($product_id = null, $sku = null, $set = null, $type = null, \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $categories = null, \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $websites = null, $created_at = null, $updated_at = null, $type_id = null, $name = null, $description = null, $short_description = null, $weight = null, $status = null, $url_key = null, $url_path = null, $visibility = null, \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $category_ids = null, \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $website_ids = null, $has_options = null, $gift_message_available = null, $price = null, $special_price = null, $special_from_date = null, $special_to_date = null, $tax_class_id = null, \App\Api\Client\Magento\Type\ArrayType\CatalogProductTierPriceEntityArray $tier_price = null, $meta_title = null, $meta_keyword = null, $meta_description = null, $custom_design = null, $custom_layout_update = null, $options_container = null, \App\Api\Client\Magento\Type\ArrayType\AssociativeArray $additional_attributes = null)
    {
        $this
            ->setProduct_id($product_id)
            ->setSku($sku)
            ->setSet($set)
            ->setType($type)
            ->setCategories($categories)
            ->setWebsites($websites)
            ->setCreated_at($created_at)
            ->setUpdated_at($updated_at)
            ->setType_id($type_id)
            ->setName($name)
            ->setDescription($description)
            ->setShort_description($short_description)
            ->setWeight($weight)
            ->setStatus($status)
            ->setUrl_key($url_key)
            ->setUrl_path($url_path)
            ->setVisibility($visibility)
            ->setCategory_ids($category_ids)
            ->setWebsite_ids($website_ids)
            ->setHas_options($has_options)
            ->setGift_message_available($gift_message_available)
            ->setPrice($price)
            ->setSpecial_price($special_price)
            ->setSpecial_from_date($special_from_date)
            ->setSpecial_to_date($special_to_date)
            ->setTax_class_id($tax_class_id)
            ->setTier_price($tier_price)
            ->setMeta_title($meta_title)
            ->setMeta_keyword($meta_keyword)
            ->setMeta_description($meta_description)
            ->setCustom_design($custom_design)
            ->setCustom_layout_update($custom_layout_update)
            ->setOptions_container($options_container)
            ->setAdditional_attributes($additional_attributes);
    }
    /**
     * Get product_id value
     * @return string|null
     */
    public function getProduct_id()
    {
        return $this->product_id;
    }
    /**
     * Set product_id value
     * @param string $product_id
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setProduct_id($product_id = null)
    {
        // validation for constraint: string
        if (!is_null($product_id) && !is_string($product_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($product_id)), __LINE__);
        }
        $this->product_id = $product_id;
        return $this;
    }
    /**
     * Get sku value
     * @return string|null
     */
    public function getSku()
    {
        return $this->sku;
    }
    /**
     * Set sku value
     * @param string $sku
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setSku($sku = null)
    {
        // validation for constraint: string
        if (!is_null($sku) && !is_string($sku)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sku)), __LINE__);
        }
        $this->sku = $sku;
        return $this;
    }
    /**
     * Get set value
     * @return string|null
     */
    public function getSet()
    {
        return $this->set;
    }
    /**
     * Set set value
     * @param string $set
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setSet($set = null)
    {
        // validation for constraint: string
        if (!is_null($set) && !is_string($set)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($set)), __LINE__);
        }
        $this->set = $set;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get categories value
     * @return \App\Api\Client\Magento\Type\ArrayType\ArrayOfString|null
     */
    public function getCategories()
    {
        return $this->categories;
    }
    /**
     * Set categories value
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $categories
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setCategories(\App\Api\Client\Magento\Type\ArrayType\ArrayOfString $categories = null)
    {
        $this->categories = $categories;
        return $this;
    }
    /**
     * Get websites value
     * @return \App\Api\Client\Magento\Type\ArrayType\ArrayOfString|null
     */
    public function getWebsites()
    {
        return $this->websites;
    }
    /**
     * Set websites value
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $websites
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setWebsites(\App\Api\Client\Magento\Type\ArrayType\ArrayOfString $websites = null)
    {
        $this->websites = $websites;
        return $this;
    }
    /**
     * Get created_at value
     * @return string|null
     */
    public function getCreated_at()
    {
        return $this->created_at;
    }
    /**
     * Set created_at value
     * @param string $created_at
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setCreated_at($created_at = null)
    {
        // validation for constraint: string
        if (!is_null($created_at) && !is_string($created_at)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($created_at)), __LINE__);
        }
        $this->created_at = $created_at;
        return $this;
    }
    /**
     * Get updated_at value
     * @return string|null
     */
    public function getUpdated_at()
    {
        return $this->updated_at;
    }
    /**
     * Set updated_at value
     * @param string $updated_at
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setUpdated_at($updated_at = null)
    {
        // validation for constraint: string
        if (!is_null($updated_at) && !is_string($updated_at)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($updated_at)), __LINE__);
        }
        $this->updated_at = $updated_at;
        return $this;
    }
    /**
     * Get type_id value
     * @return string|null
     */
    public function getType_id()
    {
        return $this->type_id;
    }
    /**
     * Set type_id value
     * @param string $type_id
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setType_id($type_id = null)
    {
        // validation for constraint: string
        if (!is_null($type_id) && !is_string($type_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($type_id)), __LINE__);
        }
        $this->type_id = $type_id;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
    /**
     * Get short_description value
     * @return string|null
     */
    public function getShort_description()
    {
        return $this->short_description;
    }
    /**
     * Set short_description value
     * @param string $short_description
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setShort_description($short_description = null)
    {
        // validation for constraint: string
        if (!is_null($short_description) && !is_string($short_description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($short_description)), __LINE__);
        }
        $this->short_description = $short_description;
        return $this;
    }
    /**
     * Get weight value
     * @return string|null
     */
    public function getWeight()
    {
        return $this->weight;
    }
    /**
     * Set weight value
     * @param string $weight
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setWeight($weight = null)
    {
        // validation for constraint: string
        if (!is_null($weight) && !is_string($weight)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($weight)), __LINE__);
        }
        $this->weight = $weight;
        return $this;
    }
    /**
     * Get status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param string $status
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->status = $status;
        return $this;
    }
    /**
     * Get url_key value
     * @return string|null
     */
    public function getUrl_key()
    {
        return $this->url_key;
    }
    /**
     * Set url_key value
     * @param string $url_key
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setUrl_key($url_key = null)
    {
        // validation for constraint: string
        if (!is_null($url_key) && !is_string($url_key)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($url_key)), __LINE__);
        }
        $this->url_key = $url_key;
        return $this;
    }
    /**
     * Get url_path value
     * @return string|null
     */
    public function getUrl_path()
    {
        return $this->url_path;
    }
    /**
     * Set url_path value
     * @param string $url_path
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setUrl_path($url_path = null)
    {
        // validation for constraint: string
        if (!is_null($url_path) && !is_string($url_path)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($url_path)), __LINE__);
        }
        $this->url_path = $url_path;
        return $this;
    }
    /**
     * Get visibility value
     * @return string|null
     */
    public function getVisibility()
    {
        return $this->visibility;
    }
    /**
     * Set visibility value
     * @param string $visibility
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setVisibility($visibility = null)
    {
        // validation for constraint: string
        if (!is_null($visibility) && !is_string($visibility)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($visibility)), __LINE__);
        }
        $this->visibility = $visibility;
        return $this;
    }
    /**
     * Get category_ids value
     * @return \App\Api\Client\Magento\Type\ArrayType\ArrayOfString|null
     */
    public function getCategory_ids()
    {
        return $this->category_ids;
    }
    /**
     * Set category_ids value
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $category_ids
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setCategory_ids(\App\Api\Client\Magento\Type\ArrayType\ArrayOfString $category_ids = null)
    {
        $this->category_ids = $category_ids;
        return $this;
    }
    /**
     * Get website_ids value
     * @return \App\Api\Client\Magento\Type\ArrayType\ArrayOfString|null
     */
    public function getWebsite_ids()
    {
        return $this->website_ids;
    }
    /**
     * Set website_ids value
     * @param \App\Api\Client\Magento\Type\ArrayType\ArrayOfString $website_ids
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setWebsite_ids(\App\Api\Client\Magento\Type\ArrayType\ArrayOfString $website_ids = null)
    {
        $this->website_ids = $website_ids;
        return $this;
    }
    /**
     * Get has_options value
     * @return string|null
     */
    public function getHas_options()
    {
        return $this->has_options;
    }
    /**
     * Set has_options value
     * @param string $has_options
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setHas_options($has_options = null)
    {
        // validation for constraint: string
        if (!is_null($has_options) && !is_string($has_options)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($has_options)), __LINE__);
        }
        $this->has_options = $has_options;
        return $this;
    }
    /**
     * Get gift_message_available value
     * @return string|null
     */
    public function getGift_message_available()
    {
        return $this->gift_message_available;
    }
    /**
     * Set gift_message_available value
     * @param string $gift_message_available
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setGift_message_available($gift_message_available = null)
    {
        // validation for constraint: string
        if (!is_null($gift_message_available) && !is_string($gift_message_available)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($gift_message_available)), __LINE__);
        }
        $this->gift_message_available = $gift_message_available;
        return $this;
    }
    /**
     * Get price value
     * @return string|null
     */
    public function getPrice()
    {
        return $this->price;
    }
    /**
     * Set price value
     * @param string $price
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setPrice($price = null)
    {
        // validation for constraint: string
        if (!is_null($price) && !is_string($price)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($price)), __LINE__);
        }
        $this->price = $price;
        return $this;
    }
    /**
     * Get special_price value
     * @return string|null
     */
    public function getSpecial_price()
    {
        return $this->special_price;
    }
    /**
     * Set special_price value
     * @param string $special_price
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setSpecial_price($special_price = null)
    {
        // validation for constraint: string
        if (!is_null($special_price) && !is_string($special_price)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($special_price)), __LINE__);
        }
        $this->special_price = $special_price;
        return $this;
    }
    /**
     * Get special_from_date value
     * @return string|null
     */
    public function getSpecial_from_date()
    {
        return $this->special_from_date;
    }
    /**
     * Set special_from_date value
     * @param string $special_from_date
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setSpecial_from_date($special_from_date = null)
    {
        // validation for constraint: string
        if (!is_null($special_from_date) && !is_string($special_from_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($special_from_date)), __LINE__);
        }
        $this->special_from_date = $special_from_date;
        return $this;
    }
    /**
     * Get special_to_date value
     * @return string|null
     */
    public function getSpecial_to_date()
    {
        return $this->special_to_date;
    }
    /**
     * Set special_to_date value
     * @param string $special_to_date
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setSpecial_to_date($special_to_date = null)
    {
        // validation for constraint: string
        if (!is_null($special_to_date) && !is_string($special_to_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($special_to_date)), __LINE__);
        }
        $this->special_to_date = $special_to_date;
        return $this;
    }
    /**
     * Get tax_class_id value
     * @return string|null
     */
    public function getTax_class_id()
    {
        return $this->tax_class_id;
    }
    /**
     * Set tax_class_id value
     * @param string $tax_class_id
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setTax_class_id($tax_class_id = null)
    {
        // validation for constraint: string
        if (!is_null($tax_class_id) && !is_string($tax_class_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tax_class_id)), __LINE__);
        }
        $this->tax_class_id = $tax_class_id;
        return $this;
    }
    /**
     * Get tier_price value
     * @return \App\Api\Client\Magento\Type\ArrayType\CatalogProductTierPriceEntityArray|null
     */
    public function getTier_price()
    {
        return $this->tier_price;
    }
    /**
     * Set tier_price value
     * @param \App\Api\Client\Magento\Type\ArrayType\CatalogProductTierPriceEntityArray $tier_price
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setTier_price(\App\Api\Client\Magento\Type\ArrayType\CatalogProductTierPriceEntityArray $tier_price = null)
    {
        $this->tier_price = $tier_price;
        return $this;
    }
    /**
     * Get meta_title value
     * @return string|null
     */
    public function getMeta_title()
    {
        return $this->meta_title;
    }
    /**
     * Set meta_title value
     * @param string $meta_title
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setMeta_title($meta_title = null)
    {
        // validation for constraint: string
        if (!is_null($meta_title) && !is_string($meta_title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($meta_title)), __LINE__);
        }
        $this->meta_title = $meta_title;
        return $this;
    }
    /**
     * Get meta_keyword value
     * @return string|null
     */
    public function getMeta_keyword()
    {
        return $this->meta_keyword;
    }
    /**
     * Set meta_keyword value
     * @param string $meta_keyword
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setMeta_keyword($meta_keyword = null)
    {
        // validation for constraint: string
        if (!is_null($meta_keyword) && !is_string($meta_keyword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($meta_keyword)), __LINE__);
        }
        $this->meta_keyword = $meta_keyword;
        return $this;
    }
    /**
     * Get meta_description value
     * @return string|null
     */
    public function getMeta_description()
    {
        return $this->meta_description;
    }
    /**
     * Set meta_description value
     * @param string $meta_description
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setMeta_description($meta_description = null)
    {
        // validation for constraint: string
        if (!is_null($meta_description) && !is_string($meta_description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($meta_description)), __LINE__);
        }
        $this->meta_description = $meta_description;
        return $this;
    }
    /**
     * Get custom_design value
     * @return string|null
     */
    public function getCustom_design()
    {
        return $this->custom_design;
    }
    /**
     * Set custom_design value
     * @param string $custom_design
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setCustom_design($custom_design = null)
    {
        // validation for constraint: string
        if (!is_null($custom_design) && !is_string($custom_design)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($custom_design)), __LINE__);
        }
        $this->custom_design = $custom_design;
        return $this;
    }
    /**
     * Get custom_layout_update value
     * @return string|null
     */
    public function getCustom_layout_update()
    {
        return $this->custom_layout_update;
    }
    /**
     * Set custom_layout_update value
     * @param string $custom_layout_update
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setCustom_layout_update($custom_layout_update = null)
    {
        // validation for constraint: string
        if (!is_null($custom_layout_update) && !is_string($custom_layout_update)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($custom_layout_update)), __LINE__);
        }
        $this->custom_layout_update = $custom_layout_update;
        return $this;
    }
    /**
     * Get options_container value
     * @return string|null
     */
    public function getOptions_container()
    {
        return $this->options_container;
    }
    /**
     * Set options_container value
     * @param string $options_container
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setOptions_container($options_container = null)
    {
        // validation for constraint: string
        if (!is_null($options_container) && !is_string($options_container)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($options_container)), __LINE__);
        }
        $this->options_container = $options_container;
        return $this;
    }
    /**
     * Get additional_attributes value
     * @return \App\Api\Client\Magento\Type\ArrayType\AssociativeArray|null
     */
    public function getAdditional_attributes()
    {
        return $this->additional_attributes;
    }
    /**
     * Set additional_attributes value
     * @param \App\Api\Client\Magento\Type\ArrayType\AssociativeArray $additional_attributes
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public function setAdditional_attributes(\App\Api\Client\Magento\Type\ArrayType\AssociativeArray $additional_attributes = null)
    {
        $this->additional_attributes = $additional_attributes;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductReturnEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
