<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductSpecialPriceReturnEntity StructType
 * @subpackage Structs
 */
class CatalogProductSpecialPriceReturnEntity extends AbstractStructBase
{
    /**
     * The special_price
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $special_price;
    /**
     * The special_from_date
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $special_from_date;
    /**
     * The special_to_date
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $special_to_date;
    /**
     * Constructor method for catalogProductSpecialPriceReturnEntity
     * @uses CatalogProductSpecialPriceReturnEntity::setSpecial_price()
     * @uses CatalogProductSpecialPriceReturnEntity::setSpecial_from_date()
     * @uses CatalogProductSpecialPriceReturnEntity::setSpecial_to_date()
     * @param string $special_price
     * @param string $special_from_date
     * @param string $special_to_date
     */
    public function __construct($special_price = null, $special_from_date = null, $special_to_date = null)
    {
        $this
            ->setSpecial_price($special_price)
            ->setSpecial_from_date($special_from_date)
            ->setSpecial_to_date($special_to_date);
    }
    /**
     * Get special_price value
     * @return string
     */
    public function getSpecial_price()
    {
        return $this->special_price;
    }
    /**
     * Set special_price value
     * @param string $special_price
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductSpecialPriceReturnEntity
     */
    public function setSpecial_price($special_price = null)
    {
        // validation for constraint: string
        if (!is_null($special_price) && !is_string($special_price)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($special_price)), __LINE__);
        }
        $this->special_price = $special_price;
        return $this;
    }
    /**
     * Get special_from_date value
     * @return string
     */
    public function getSpecial_from_date()
    {
        return $this->special_from_date;
    }
    /**
     * Set special_from_date value
     * @param string $special_from_date
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductSpecialPriceReturnEntity
     */
    public function setSpecial_from_date($special_from_date = null)
    {
        // validation for constraint: string
        if (!is_null($special_from_date) && !is_string($special_from_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($special_from_date)), __LINE__);
        }
        $this->special_from_date = $special_from_date;
        return $this;
    }
    /**
     * Get special_to_date value
     * @return string
     */
    public function getSpecial_to_date()
    {
        return $this->special_to_date;
    }
    /**
     * Set special_to_date value
     * @param string $special_to_date
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductSpecialPriceReturnEntity
     */
    public function setSpecial_to_date($special_to_date = null)
    {
        // validation for constraint: string
        if (!is_null($special_to_date) && !is_string($special_to_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($special_to_date)), __LINE__);
        }
        $this->special_to_date = $special_to_date;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductSpecialPriceReturnEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
