<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductTagInfoEntity StructType
 * @subpackage Structs
 */
class CatalogProductTagInfoEntity extends AbstractStructBase
{
    /**
     * The name
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $name;
    /**
     * The status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $status;
    /**
     * The base_popularity
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $base_popularity;
    /**
     * The products
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \App\Api\Client\Magento\Type\ArrayType\AssociativeArray
     */
    public $products;
    /**
     * Constructor method for catalogProductTagInfoEntity
     * @uses CatalogProductTagInfoEntity::setName()
     * @uses CatalogProductTagInfoEntity::setStatus()
     * @uses CatalogProductTagInfoEntity::setBase_popularity()
     * @uses CatalogProductTagInfoEntity::setProducts()
     * @param string $name
     * @param string $status
     * @param string $base_popularity
     * @param \App\Api\Client\Magento\Type\ArrayType\AssociativeArray $products
     */
    public function __construct($name = null, $status = null, $base_popularity = null, \App\Api\Client\Magento\Type\ArrayType\AssociativeArray $products = null)
    {
        $this
            ->setName($name)
            ->setStatus($status)
            ->setBase_popularity($base_popularity)
            ->setProducts($products);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagInfoEntity
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get status value
     * @return string
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param string $status
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagInfoEntity
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->status = $status;
        return $this;
    }
    /**
     * Get base_popularity value
     * @return string
     */
    public function getBase_popularity()
    {
        return $this->base_popularity;
    }
    /**
     * Set base_popularity value
     * @param string $base_popularity
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagInfoEntity
     */
    public function setBase_popularity($base_popularity = null)
    {
        // validation for constraint: string
        if (!is_null($base_popularity) && !is_string($base_popularity)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($base_popularity)), __LINE__);
        }
        $this->base_popularity = $base_popularity;
        return $this;
    }
    /**
     * Get products value
     * @return \App\Api\Client\Magento\Type\ArrayType\AssociativeArray
     */
    public function getProducts()
    {
        return $this->products;
    }
    /**
     * Set products value
     * @param \App\Api\Client\Magento\Type\ArrayType\AssociativeArray $products
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagInfoEntity
     */
    public function setProducts(\App\Api\Client\Magento\Type\ArrayType\AssociativeArray $products = null)
    {
        $this->products = $products;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagInfoEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
