<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductTagInfoRequestParam StructType
 * @subpackage Structs
 */
class CatalogProductTagInfoRequestParam extends AbstractStructBase
{
    /**
     * The sessionId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sessionId;
    /**
     * The tagId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $tagId;
    /**
     * The store
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $store;
    /**
     * Constructor method for catalogProductTagInfoRequestParam
     * @uses CatalogProductTagInfoRequestParam::setSessionId()
     * @uses CatalogProductTagInfoRequestParam::setTagId()
     * @uses CatalogProductTagInfoRequestParam::setStore()
     * @param string $sessionId
     * @param string $tagId
     * @param string $store
     */
    public function __construct($sessionId = null, $tagId = null, $store = null)
    {
        $this
            ->setSessionId($sessionId)
            ->setTagId($tagId)
            ->setStore($store);
    }
    /**
     * Get sessionId value
     * @return string
     */
    public function getSessionId()
    {
        return $this->sessionId;
    }
    /**
     * Set sessionId value
     * @param string $sessionId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagInfoRequestParam
     */
    public function setSessionId($sessionId = null)
    {
        // validation for constraint: string
        if (!is_null($sessionId) && !is_string($sessionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sessionId)), __LINE__);
        }
        $this->sessionId = $sessionId;
        return $this;
    }
    /**
     * Get tagId value
     * @return string
     */
    public function getTagId()
    {
        return $this->tagId;
    }
    /**
     * Set tagId value
     * @param string $tagId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagInfoRequestParam
     */
    public function setTagId($tagId = null)
    {
        // validation for constraint: string
        if (!is_null($tagId) && !is_string($tagId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tagId)), __LINE__);
        }
        $this->tagId = $tagId;
        return $this;
    }
    /**
     * Get store value
     * @return string
     */
    public function getStore()
    {
        return $this->store;
    }
    /**
     * Set store value
     * @param string $store
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagInfoRequestParam
     */
    public function setStore($store = null)
    {
        // validation for constraint: string
        if (!is_null($store) && !is_string($store)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($store)), __LINE__);
        }
        $this->store = $store;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagInfoRequestParam
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
