<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for catalogProductTagRemoveRequestParam StructType
 * @subpackage Structs
 */
class CatalogProductTagRemoveRequestParam extends AbstractStructBase
{
    /**
     * The sessionId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sessionId;
    /**
     * The tagId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $tagId;
    /**
     * Constructor method for catalogProductTagRemoveRequestParam
     * @uses CatalogProductTagRemoveRequestParam::setSessionId()
     * @uses CatalogProductTagRemoveRequestParam::setTagId()
     * @param string $sessionId
     * @param string $tagId
     */
    public function __construct($sessionId = null, $tagId = null)
    {
        $this
            ->setSessionId($sessionId)
            ->setTagId($tagId);
    }
    /**
     * Get sessionId value
     * @return string
     */
    public function getSessionId()
    {
        return $this->sessionId;
    }
    /**
     * Set sessionId value
     * @param string $sessionId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagRemoveRequestParam
     */
    public function setSessionId($sessionId = null)
    {
        // validation for constraint: string
        if (!is_null($sessionId) && !is_string($sessionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sessionId)), __LINE__);
        }
        $this->sessionId = $sessionId;
        return $this;
    }
    /**
     * Get tagId value
     * @return string
     */
    public function getTagId()
    {
        return $this->tagId;
    }
    /**
     * Set tagId value
     * @param string $tagId
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagRemoveRequestParam
     */
    public function setTagId($tagId = null)
    {
        // validation for constraint: string
        if (!is_null($tagId) && !is_string($tagId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tagId)), __LINE__);
        }
        $this->tagId = $tagId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CatalogProductTagRemoveRequestParam
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
