<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for customerCustomerEntity StructType
 * @subpackage Structs
 */
class CustomerCustomerEntity extends AbstractStructBase
{
    /**
     * The customer_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $customer_id;
    /**
     * The created_at
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $created_at;
    /**
     * The updated_at
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $updated_at;
    /**
     * The increment_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $increment_id;
    /**
     * The store_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $store_id;
    /**
     * The website_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $website_id;
    /**
     * The created_in
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $created_in;
    /**
     * The email
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $email;
    /**
     * The firstname
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $firstname;
    /**
     * The middlename
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $middlename;
    /**
     * The lastname
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $lastname;
    /**
     * The group_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $group_id;
    /**
     * The prefix
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $prefix;
    /**
     * The suffix
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $suffix;
    /**
     * The dob
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dob;
    /**
     * The taxvat
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $taxvat;
    /**
     * The confirmation
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $confirmation;
    /**
     * The password_hash
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $password_hash;
    /**
     * Constructor method for customerCustomerEntity
     * @uses CustomerCustomerEntity::setCustomer_id()
     * @uses CustomerCustomerEntity::setCreated_at()
     * @uses CustomerCustomerEntity::setUpdated_at()
     * @uses CustomerCustomerEntity::setIncrement_id()
     * @uses CustomerCustomerEntity::setStore_id()
     * @uses CustomerCustomerEntity::setWebsite_id()
     * @uses CustomerCustomerEntity::setCreated_in()
     * @uses CustomerCustomerEntity::setEmail()
     * @uses CustomerCustomerEntity::setFirstname()
     * @uses CustomerCustomerEntity::setMiddlename()
     * @uses CustomerCustomerEntity::setLastname()
     * @uses CustomerCustomerEntity::setGroup_id()
     * @uses CustomerCustomerEntity::setPrefix()
     * @uses CustomerCustomerEntity::setSuffix()
     * @uses CustomerCustomerEntity::setDob()
     * @uses CustomerCustomerEntity::setTaxvat()
     * @uses CustomerCustomerEntity::setConfirmation()
     * @uses CustomerCustomerEntity::setPassword_hash()
     * @param int $customer_id
     * @param string $created_at
     * @param string $updated_at
     * @param string $increment_id
     * @param int $store_id
     * @param int $website_id
     * @param string $created_in
     * @param string $email
     * @param string $firstname
     * @param string $middlename
     * @param string $lastname
     * @param int $group_id
     * @param string $prefix
     * @param string $suffix
     * @param string $dob
     * @param string $taxvat
     * @param bool $confirmation
     * @param string $password_hash
     */
    public function __construct($customer_id = null, $created_at = null, $updated_at = null, $increment_id = null, $store_id = null, $website_id = null, $created_in = null, $email = null, $firstname = null, $middlename = null, $lastname = null, $group_id = null, $prefix = null, $suffix = null, $dob = null, $taxvat = null, $confirmation = null, $password_hash = null)
    {
        $this
            ->setCustomer_id($customer_id)
            ->setCreated_at($created_at)
            ->setUpdated_at($updated_at)
            ->setIncrement_id($increment_id)
            ->setStore_id($store_id)
            ->setWebsite_id($website_id)
            ->setCreated_in($created_in)
            ->setEmail($email)
            ->setFirstname($firstname)
            ->setMiddlename($middlename)
            ->setLastname($lastname)
            ->setGroup_id($group_id)
            ->setPrefix($prefix)
            ->setSuffix($suffix)
            ->setDob($dob)
            ->setTaxvat($taxvat)
            ->setConfirmation($confirmation)
            ->setPassword_hash($password_hash);
    }
    /**
     * Get customer_id value
     * @return int|null
     */
    public function getCustomer_id()
    {
        return $this->customer_id;
    }
    /**
     * Set customer_id value
     * @param int $customer_id
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setCustomer_id($customer_id = null)
    {
        // validation for constraint: int
        if (!is_null($customer_id) && !is_numeric($customer_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($customer_id)), __LINE__);
        }
        $this->customer_id = $customer_id;
        return $this;
    }
    /**
     * Get created_at value
     * @return string|null
     */
    public function getCreated_at()
    {
        return $this->created_at;
    }
    /**
     * Set created_at value
     * @param string $created_at
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setCreated_at($created_at = null)
    {
        // validation for constraint: string
        if (!is_null($created_at) && !is_string($created_at)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($created_at)), __LINE__);
        }
        $this->created_at = $created_at;
        return $this;
    }
    /**
     * Get updated_at value
     * @return string|null
     */
    public function getUpdated_at()
    {
        return $this->updated_at;
    }
    /**
     * Set updated_at value
     * @param string $updated_at
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setUpdated_at($updated_at = null)
    {
        // validation for constraint: string
        if (!is_null($updated_at) && !is_string($updated_at)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($updated_at)), __LINE__);
        }
        $this->updated_at = $updated_at;
        return $this;
    }
    /**
     * Get increment_id value
     * @return string|null
     */
    public function getIncrement_id()
    {
        return $this->increment_id;
    }
    /**
     * Set increment_id value
     * @param string $increment_id
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setIncrement_id($increment_id = null)
    {
        // validation for constraint: string
        if (!is_null($increment_id) && !is_string($increment_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($increment_id)), __LINE__);
        }
        $this->increment_id = $increment_id;
        return $this;
    }
    /**
     * Get store_id value
     * @return int|null
     */
    public function getStore_id()
    {
        return $this->store_id;
    }
    /**
     * Set store_id value
     * @param int $store_id
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setStore_id($store_id = null)
    {
        // validation for constraint: int
        if (!is_null($store_id) && !is_numeric($store_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($store_id)), __LINE__);
        }
        $this->store_id = $store_id;
        return $this;
    }
    /**
     * Get website_id value
     * @return int|null
     */
    public function getWebsite_id()
    {
        return $this->website_id;
    }
    /**
     * Set website_id value
     * @param int $website_id
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setWebsite_id($website_id = null)
    {
        // validation for constraint: int
        if (!is_null($website_id) && !is_numeric($website_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($website_id)), __LINE__);
        }
        $this->website_id = $website_id;
        return $this;
    }
    /**
     * Get created_in value
     * @return string|null
     */
    public function getCreated_in()
    {
        return $this->created_in;
    }
    /**
     * Set created_in value
     * @param string $created_in
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setCreated_in($created_in = null)
    {
        // validation for constraint: string
        if (!is_null($created_in) && !is_string($created_in)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($created_in)), __LINE__);
        }
        $this->created_in = $created_in;
        return $this;
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $email
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($email)), __LINE__);
        }
        $this->email = $email;
        return $this;
    }
    /**
     * Get firstname value
     * @return string|null
     */
    public function getFirstname()
    {
        return $this->firstname;
    }
    /**
     * Set firstname value
     * @param string $firstname
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setFirstname($firstname = null)
    {
        // validation for constraint: string
        if (!is_null($firstname) && !is_string($firstname)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($firstname)), __LINE__);
        }
        $this->firstname = $firstname;
        return $this;
    }
    /**
     * Get middlename value
     * @return string|null
     */
    public function getMiddlename()
    {
        return $this->middlename;
    }
    /**
     * Set middlename value
     * @param string $middlename
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setMiddlename($middlename = null)
    {
        // validation for constraint: string
        if (!is_null($middlename) && !is_string($middlename)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($middlename)), __LINE__);
        }
        $this->middlename = $middlename;
        return $this;
    }
    /**
     * Get lastname value
     * @return string|null
     */
    public function getLastname()
    {
        return $this->lastname;
    }
    /**
     * Set lastname value
     * @param string $lastname
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setLastname($lastname = null)
    {
        // validation for constraint: string
        if (!is_null($lastname) && !is_string($lastname)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($lastname)), __LINE__);
        }
        $this->lastname = $lastname;
        return $this;
    }
    /**
     * Get group_id value
     * @return int|null
     */
    public function getGroup_id()
    {
        return $this->group_id;
    }
    /**
     * Set group_id value
     * @param int $group_id
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setGroup_id($group_id = null)
    {
        // validation for constraint: int
        if (!is_null($group_id) && !is_numeric($group_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($group_id)), __LINE__);
        }
        $this->group_id = $group_id;
        return $this;
    }
    /**
     * Get prefix value
     * @return string|null
     */
    public function getPrefix()
    {
        return $this->prefix;
    }
    /**
     * Set prefix value
     * @param string $prefix
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setPrefix($prefix = null)
    {
        // validation for constraint: string
        if (!is_null($prefix) && !is_string($prefix)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($prefix)), __LINE__);
        }
        $this->prefix = $prefix;
        return $this;
    }
    /**
     * Get suffix value
     * @return string|null
     */
    public function getSuffix()
    {
        return $this->suffix;
    }
    /**
     * Set suffix value
     * @param string $suffix
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setSuffix($suffix = null)
    {
        // validation for constraint: string
        if (!is_null($suffix) && !is_string($suffix)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($suffix)), __LINE__);
        }
        $this->suffix = $suffix;
        return $this;
    }
    /**
     * Get dob value
     * @return string|null
     */
    public function getDob()
    {
        return $this->dob;
    }
    /**
     * Set dob value
     * @param string $dob
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setDob($dob = null)
    {
        // validation for constraint: string
        if (!is_null($dob) && !is_string($dob)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dob)), __LINE__);
        }
        $this->dob = $dob;
        return $this;
    }
    /**
     * Get taxvat value
     * @return string|null
     */
    public function getTaxvat()
    {
        return $this->taxvat;
    }
    /**
     * Set taxvat value
     * @param string $taxvat
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setTaxvat($taxvat = null)
    {
        // validation for constraint: string
        if (!is_null($taxvat) && !is_string($taxvat)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($taxvat)), __LINE__);
        }
        $this->taxvat = $taxvat;
        return $this;
    }
    /**
     * Get confirmation value
     * @return bool|null
     */
    public function getConfirmation()
    {
        return $this->confirmation;
    }
    /**
     * Set confirmation value
     * @param bool $confirmation
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setConfirmation($confirmation = null)
    {
        // validation for constraint: boolean
        if (!is_null($confirmation) && !is_bool($confirmation)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($confirmation)), __LINE__);
        }
        $this->confirmation = $confirmation;
        return $this;
    }
    /**
     * Get password_hash value
     * @return string|null
     */
    public function getPassword_hash()
    {
        return $this->password_hash;
    }
    /**
     * Set password_hash value
     * @param string $password_hash
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public function setPassword_hash($password_hash = null)
    {
        // validation for constraint: string
        if (!is_null($password_hash) && !is_string($password_hash)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password_hash)), __LINE__);
        }
        $this->password_hash = $password_hash;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
