<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for customerCustomerEntityToCreate StructType
 * @subpackage Structs
 */
class CustomerCustomerEntityToCreate extends AbstractStructBase
{
    /**
     * The customer_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $customer_id;
    /**
     * The email
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $email;
    /**
     * The firstname
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $firstname;
    /**
     * The lastname
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $lastname;
    /**
     * The middlename
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $middlename;
    /**
     * The password
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $password;
    /**
     * The website_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $website_id;
    /**
     * The store_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $store_id;
    /**
     * The group_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $group_id;
    /**
     * The prefix
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $prefix;
    /**
     * The suffix
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $suffix;
    /**
     * The dob
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dob;
    /**
     * The taxvat
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $taxvat;
    /**
     * The gender
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $gender;
    /**
     * Constructor method for customerCustomerEntityToCreate
     * @uses CustomerCustomerEntityToCreate::setCustomer_id()
     * @uses CustomerCustomerEntityToCreate::setEmail()
     * @uses CustomerCustomerEntityToCreate::setFirstname()
     * @uses CustomerCustomerEntityToCreate::setLastname()
     * @uses CustomerCustomerEntityToCreate::setMiddlename()
     * @uses CustomerCustomerEntityToCreate::setPassword()
     * @uses CustomerCustomerEntityToCreate::setWebsite_id()
     * @uses CustomerCustomerEntityToCreate::setStore_id()
     * @uses CustomerCustomerEntityToCreate::setGroup_id()
     * @uses CustomerCustomerEntityToCreate::setPrefix()
     * @uses CustomerCustomerEntityToCreate::setSuffix()
     * @uses CustomerCustomerEntityToCreate::setDob()
     * @uses CustomerCustomerEntityToCreate::setTaxvat()
     * @uses CustomerCustomerEntityToCreate::setGender()
     * @param int $customer_id
     * @param string $email
     * @param string $firstname
     * @param string $lastname
     * @param string $middlename
     * @param string $password
     * @param int $website_id
     * @param int $store_id
     * @param int $group_id
     * @param string $prefix
     * @param string $suffix
     * @param string $dob
     * @param string $taxvat
     * @param int $gender
     */
    public function __construct($customer_id = null, $email = null, $firstname = null, $lastname = null, $middlename = null, $password = null, $website_id = null, $store_id = null, $group_id = null, $prefix = null, $suffix = null, $dob = null, $taxvat = null, $gender = null)
    {
        $this
            ->setCustomer_id($customer_id)
            ->setEmail($email)
            ->setFirstname($firstname)
            ->setLastname($lastname)
            ->setMiddlename($middlename)
            ->setPassword($password)
            ->setWebsite_id($website_id)
            ->setStore_id($store_id)
            ->setGroup_id($group_id)
            ->setPrefix($prefix)
            ->setSuffix($suffix)
            ->setDob($dob)
            ->setTaxvat($taxvat)
            ->setGender($gender);
    }
    /**
     * Get customer_id value
     * @return int|null
     */
    public function getCustomer_id()
    {
        return $this->customer_id;
    }
    /**
     * Set customer_id value
     * @param int $customer_id
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setCustomer_id($customer_id = null)
    {
        // validation for constraint: int
        if (!is_null($customer_id) && !is_numeric($customer_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($customer_id)), __LINE__);
        }
        $this->customer_id = $customer_id;
        return $this;
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $email
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($email)), __LINE__);
        }
        $this->email = $email;
        return $this;
    }
    /**
     * Get firstname value
     * @return string|null
     */
    public function getFirstname()
    {
        return $this->firstname;
    }
    /**
     * Set firstname value
     * @param string $firstname
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setFirstname($firstname = null)
    {
        // validation for constraint: string
        if (!is_null($firstname) && !is_string($firstname)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($firstname)), __LINE__);
        }
        $this->firstname = $firstname;
        return $this;
    }
    /**
     * Get lastname value
     * @return string|null
     */
    public function getLastname()
    {
        return $this->lastname;
    }
    /**
     * Set lastname value
     * @param string $lastname
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setLastname($lastname = null)
    {
        // validation for constraint: string
        if (!is_null($lastname) && !is_string($lastname)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($lastname)), __LINE__);
        }
        $this->lastname = $lastname;
        return $this;
    }
    /**
     * Get middlename value
     * @return string|null
     */
    public function getMiddlename()
    {
        return $this->middlename;
    }
    /**
     * Set middlename value
     * @param string $middlename
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setMiddlename($middlename = null)
    {
        // validation for constraint: string
        if (!is_null($middlename) && !is_string($middlename)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($middlename)), __LINE__);
        }
        $this->middlename = $middlename;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get website_id value
     * @return int|null
     */
    public function getWebsite_id()
    {
        return $this->website_id;
    }
    /**
     * Set website_id value
     * @param int $website_id
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setWebsite_id($website_id = null)
    {
        // validation for constraint: int
        if (!is_null($website_id) && !is_numeric($website_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($website_id)), __LINE__);
        }
        $this->website_id = $website_id;
        return $this;
    }
    /**
     * Get store_id value
     * @return int|null
     */
    public function getStore_id()
    {
        return $this->store_id;
    }
    /**
     * Set store_id value
     * @param int $store_id
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setStore_id($store_id = null)
    {
        // validation for constraint: int
        if (!is_null($store_id) && !is_numeric($store_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($store_id)), __LINE__);
        }
        $this->store_id = $store_id;
        return $this;
    }
    /**
     * Get group_id value
     * @return int|null
     */
    public function getGroup_id()
    {
        return $this->group_id;
    }
    /**
     * Set group_id value
     * @param int $group_id
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setGroup_id($group_id = null)
    {
        // validation for constraint: int
        if (!is_null($group_id) && !is_numeric($group_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($group_id)), __LINE__);
        }
        $this->group_id = $group_id;
        return $this;
    }
    /**
     * Get prefix value
     * @return string|null
     */
    public function getPrefix()
    {
        return $this->prefix;
    }
    /**
     * Set prefix value
     * @param string $prefix
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setPrefix($prefix = null)
    {
        // validation for constraint: string
        if (!is_null($prefix) && !is_string($prefix)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($prefix)), __LINE__);
        }
        $this->prefix = $prefix;
        return $this;
    }
    /**
     * Get suffix value
     * @return string|null
     */
    public function getSuffix()
    {
        return $this->suffix;
    }
    /**
     * Set suffix value
     * @param string $suffix
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setSuffix($suffix = null)
    {
        // validation for constraint: string
        if (!is_null($suffix) && !is_string($suffix)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($suffix)), __LINE__);
        }
        $this->suffix = $suffix;
        return $this;
    }
    /**
     * Get dob value
     * @return string|null
     */
    public function getDob()
    {
        return $this->dob;
    }
    /**
     * Set dob value
     * @param string $dob
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setDob($dob = null)
    {
        // validation for constraint: string
        if (!is_null($dob) && !is_string($dob)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dob)), __LINE__);
        }
        $this->dob = $dob;
        return $this;
    }
    /**
     * Get taxvat value
     * @return string|null
     */
    public function getTaxvat()
    {
        return $this->taxvat;
    }
    /**
     * Set taxvat value
     * @param string $taxvat
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setTaxvat($taxvat = null)
    {
        // validation for constraint: string
        if (!is_null($taxvat) && !is_string($taxvat)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($taxvat)), __LINE__);
        }
        $this->taxvat = $taxvat;
        return $this;
    }
    /**
     * Get gender value
     * @return int|null
     */
    public function getGender()
    {
        return $this->gender;
    }
    /**
     * Set gender value
     * @param int $gender
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public function setGender($gender = null)
    {
        // validation for constraint: int
        if (!is_null($gender) && !is_numeric($gender)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($gender)), __LINE__);
        }
        $this->gender = $gender;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\CustomerCustomerEntityToCreate
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
