<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for filters StructType
 * @subpackage Structs
 */
class Filters extends AbstractStructBase
{
    /**
     * The filter
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\AssociativeArray
     */
    public $filter;
    /**
     * The complex_filter
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\ComplexFilterArray
     */
    public $complex_filter;
    /**
     * Constructor method for filters
     * @uses Filters::setFilter()
     * @uses Filters::setComplex_filter()
     * @param \App\Api\Client\Magento\Type\ArrayType\AssociativeArray $filter
     * @param \App\Api\Client\Magento\Type\ArrayType\ComplexFilterArray $complex_filter
     */
    public function __construct(\App\Api\Client\Magento\Type\ArrayType\AssociativeArray $filter = null, \App\Api\Client\Magento\Type\ArrayType\ComplexFilterArray $complex_filter = null)
    {
        $this
            ->setFilter($filter)
            ->setComplex_filter($complex_filter);
    }
    /**
     * Get filter value
     * @return \App\Api\Client\Magento\Type\ArrayType\AssociativeArray|null
     */
    public function getFilter()
    {
        return $this->filter;
    }
    /**
     * Set filter value
     * @param \App\Api\Client\Magento\Type\ArrayType\AssociativeArray $filter
     * @return \App\Api\Client\Magento\Type\StructType\Filters
     */
    public function setFilter(\App\Api\Client\Magento\Type\ArrayType\AssociativeArray $filter = null)
    {
        $this->filter = $filter;
        return $this;
    }
    /**
     * Get complex_filter value
     * @return \App\Api\Client\Magento\Type\ArrayType\ComplexFilterArray|null
     */
    public function getComplex_filter()
    {
        return $this->complex_filter;
    }
    /**
     * Set complex_filter value
     * @param \App\Api\Client\Magento\Type\ArrayType\ComplexFilterArray $complex_filter
     * @return \App\Api\Client\Magento\Type\StructType\Filters
     */
    public function setComplex_filter(\App\Api\Client\Magento\Type\ArrayType\ComplexFilterArray $complex_filter = null)
    {
        $this->complex_filter = $complex_filter;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\Filters
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
