<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for salesOrderCreditmemoData StructType
 * @subpackage Structs
 */
class SalesOrderCreditmemoData extends AbstractStructBase
{
    /**
     * The qtys
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \App\Api\Client\Magento\Type\ArrayType\OrderItemIdQtyArray
     */
    public $qtys;
    /**
     * The shipping_amount
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var float
     */
    public $shipping_amount;
    /**
     * The adjustment_positive
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var float
     */
    public $adjustment_positive;
    /**
     * The adjustment_negative
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var float
     */
    public $adjustment_negative;
    /**
     * Constructor method for salesOrderCreditmemoData
     * @uses SalesOrderCreditmemoData::setQtys()
     * @uses SalesOrderCreditmemoData::setShipping_amount()
     * @uses SalesOrderCreditmemoData::setAdjustment_positive()
     * @uses SalesOrderCreditmemoData::setAdjustment_negative()
     * @param \App\Api\Client\Magento\Type\ArrayType\OrderItemIdQtyArray $qtys
     * @param float $shipping_amount
     * @param float $adjustment_positive
     * @param float $adjustment_negative
     */
    public function __construct(\App\Api\Client\Magento\Type\ArrayType\OrderItemIdQtyArray $qtys = null, $shipping_amount = null, $adjustment_positive = null, $adjustment_negative = null)
    {
        $this
            ->setQtys($qtys)
            ->setShipping_amount($shipping_amount)
            ->setAdjustment_positive($adjustment_positive)
            ->setAdjustment_negative($adjustment_negative);
    }
    /**
     * Get qtys value
     * @return \App\Api\Client\Magento\Type\ArrayType\OrderItemIdQtyArray|null
     */
    public function getQtys()
    {
        return $this->qtys;
    }
    /**
     * Set qtys value
     * @param \App\Api\Client\Magento\Type\ArrayType\OrderItemIdQtyArray $qtys
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderCreditmemoData
     */
    public function setQtys(\App\Api\Client\Magento\Type\ArrayType\OrderItemIdQtyArray $qtys = null)
    {
        $this->qtys = $qtys;
        return $this;
    }
    /**
     * Get shipping_amount value
     * @return float|null
     */
    public function getShipping_amount()
    {
        return $this->shipping_amount;
    }
    /**
     * Set shipping_amount value
     * @param float $shipping_amount
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderCreditmemoData
     */
    public function setShipping_amount($shipping_amount = null)
    {
        $this->shipping_amount = $shipping_amount;
        return $this;
    }
    /**
     * Get adjustment_positive value
     * @return float|null
     */
    public function getAdjustment_positive()
    {
        return $this->adjustment_positive;
    }
    /**
     * Set adjustment_positive value
     * @param float $adjustment_positive
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderCreditmemoData
     */
    public function setAdjustment_positive($adjustment_positive = null)
    {
        $this->adjustment_positive = $adjustment_positive;
        return $this;
    }
    /**
     * Get adjustment_negative value
     * @return float|null
     */
    public function getAdjustment_negative()
    {
        return $this->adjustment_negative;
    }
    /**
     * Set adjustment_negative value
     * @param float $adjustment_negative
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderCreditmemoData
     */
    public function setAdjustment_negative($adjustment_negative = null)
    {
        $this->adjustment_negative = $adjustment_negative;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderCreditmemoData
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
