<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for salesOrderCreditmemoInfoRequestParam StructType
 * @subpackage Structs
 */
class SalesOrderCreditmemoInfoRequestParam extends AbstractStructBase
{
    /**
     * The sessionId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sessionId;
    /**
     * The creditmemoIncrementId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $creditmemoIncrementId;
    /**
     * Constructor method for salesOrderCreditmemoInfoRequestParam
     * @uses SalesOrderCreditmemoInfoRequestParam::setSessionId()
     * @uses SalesOrderCreditmemoInfoRequestParam::setCreditmemoIncrementId()
     * @param string $sessionId
     * @param string $creditmemoIncrementId
     */
    public function __construct($sessionId = null, $creditmemoIncrementId = null)
    {
        $this
            ->setSessionId($sessionId)
            ->setCreditmemoIncrementId($creditmemoIncrementId);
    }
    /**
     * Get sessionId value
     * @return string
     */
    public function getSessionId()
    {
        return $this->sessionId;
    }
    /**
     * Set sessionId value
     * @param string $sessionId
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderCreditmemoInfoRequestParam
     */
    public function setSessionId($sessionId = null)
    {
        // validation for constraint: string
        if (!is_null($sessionId) && !is_string($sessionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sessionId)), __LINE__);
        }
        $this->sessionId = $sessionId;
        return $this;
    }
    /**
     * Get creditmemoIncrementId value
     * @return string
     */
    public function getCreditmemoIncrementId()
    {
        return $this->creditmemoIncrementId;
    }
    /**
     * Set creditmemoIncrementId value
     * @param string $creditmemoIncrementId
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderCreditmemoInfoRequestParam
     */
    public function setCreditmemoIncrementId($creditmemoIncrementId = null)
    {
        // validation for constraint: string
        if (!is_null($creditmemoIncrementId) && !is_string($creditmemoIncrementId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($creditmemoIncrementId)), __LINE__);
        }
        $this->creditmemoIncrementId = $creditmemoIncrementId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderCreditmemoInfoRequestParam
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
