<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for salesOrderInfoRequestParam StructType
 * @subpackage Structs
 */
class SalesOrderInfoRequestParam extends AbstractStructBase
{
    /**
     * The sessionId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sessionId;
    /**
     * The orderIncrementId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $orderIncrementId;
    /**
     * Constructor method for salesOrderInfoRequestParam
     * @uses SalesOrderInfoRequestParam::setSessionId()
     * @uses SalesOrderInfoRequestParam::setOrderIncrementId()
     * @param string $sessionId
     * @param string $orderIncrementId
     */
    public function __construct($sessionId = null, $orderIncrementId = null)
    {
        $this
            ->setSessionId($sessionId)
            ->setOrderIncrementId($orderIncrementId);
    }
    /**
     * Get sessionId value
     * @return string
     */
    public function getSessionId()
    {
        return $this->sessionId;
    }
    /**
     * Set sessionId value
     * @param string $sessionId
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderInfoRequestParam
     */
    public function setSessionId($sessionId = null)
    {
        // validation for constraint: string
        if (!is_null($sessionId) && !is_string($sessionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sessionId)), __LINE__);
        }
        $this->sessionId = $sessionId;
        return $this;
    }
    /**
     * Get orderIncrementId value
     * @return string
     */
    public function getOrderIncrementId()
    {
        return $this->orderIncrementId;
    }
    /**
     * Set orderIncrementId value
     * @param string $orderIncrementId
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderInfoRequestParam
     */
    public function setOrderIncrementId($orderIncrementId = null)
    {
        // validation for constraint: string
        if (!is_null($orderIncrementId) && !is_string($orderIncrementId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($orderIncrementId)), __LINE__);
        }
        $this->orderIncrementId = $orderIncrementId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderInfoRequestParam
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
