<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for salesOrderPaymentEntity StructType
 * @subpackage Structs
 */
class SalesOrderPaymentEntity extends AbstractStructBase
{
    /**
     * The increment_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $increment_id;
    /**
     * The parent_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $parent_id;
    /**
     * The created_at
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $created_at;
    /**
     * The updated_at
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $updated_at;
    /**
     * The is_active
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $is_active;
    /**
     * The amount_ordered
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $amount_ordered;
    /**
     * The shipping_amount
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $shipping_amount;
    /**
     * The base_amount_ordered
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $base_amount_ordered;
    /**
     * The base_shipping_amount
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $base_shipping_amount;
    /**
     * The method
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $method;
    /**
     * The po_number
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $po_number;
    /**
     * The cc_type
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cc_type;
    /**
     * The cc_number_enc
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cc_number_enc;
    /**
     * The cc_last4
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cc_last4;
    /**
     * The cc_owner
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cc_owner;
    /**
     * The cc_exp_month
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cc_exp_month;
    /**
     * The cc_exp_year
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cc_exp_year;
    /**
     * The cc_ss_start_month
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cc_ss_start_month;
    /**
     * The cc_ss_start_year
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cc_ss_start_year;
    /**
     * The payment_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $payment_id;
    /**
     * Constructor method for salesOrderPaymentEntity
     * @uses SalesOrderPaymentEntity::setIncrement_id()
     * @uses SalesOrderPaymentEntity::setParent_id()
     * @uses SalesOrderPaymentEntity::setCreated_at()
     * @uses SalesOrderPaymentEntity::setUpdated_at()
     * @uses SalesOrderPaymentEntity::setIs_active()
     * @uses SalesOrderPaymentEntity::setAmount_ordered()
     * @uses SalesOrderPaymentEntity::setShipping_amount()
     * @uses SalesOrderPaymentEntity::setBase_amount_ordered()
     * @uses SalesOrderPaymentEntity::setBase_shipping_amount()
     * @uses SalesOrderPaymentEntity::setMethod()
     * @uses SalesOrderPaymentEntity::setPo_number()
     * @uses SalesOrderPaymentEntity::setCc_type()
     * @uses SalesOrderPaymentEntity::setCc_number_enc()
     * @uses SalesOrderPaymentEntity::setCc_last4()
     * @uses SalesOrderPaymentEntity::setCc_owner()
     * @uses SalesOrderPaymentEntity::setCc_exp_month()
     * @uses SalesOrderPaymentEntity::setCc_exp_year()
     * @uses SalesOrderPaymentEntity::setCc_ss_start_month()
     * @uses SalesOrderPaymentEntity::setCc_ss_start_year()
     * @uses SalesOrderPaymentEntity::setPayment_id()
     * @param string $increment_id
     * @param string $parent_id
     * @param string $created_at
     * @param string $updated_at
     * @param string $is_active
     * @param string $amount_ordered
     * @param string $shipping_amount
     * @param string $base_amount_ordered
     * @param string $base_shipping_amount
     * @param string $method
     * @param string $po_number
     * @param string $cc_type
     * @param string $cc_number_enc
     * @param string $cc_last4
     * @param string $cc_owner
     * @param string $cc_exp_month
     * @param string $cc_exp_year
     * @param string $cc_ss_start_month
     * @param string $cc_ss_start_year
     * @param string $payment_id
     */
    public function __construct($increment_id = null, $parent_id = null, $created_at = null, $updated_at = null, $is_active = null, $amount_ordered = null, $shipping_amount = null, $base_amount_ordered = null, $base_shipping_amount = null, $method = null, $po_number = null, $cc_type = null, $cc_number_enc = null, $cc_last4 = null, $cc_owner = null, $cc_exp_month = null, $cc_exp_year = null, $cc_ss_start_month = null, $cc_ss_start_year = null, $payment_id = null)
    {
        $this
            ->setIncrement_id($increment_id)
            ->setParent_id($parent_id)
            ->setCreated_at($created_at)
            ->setUpdated_at($updated_at)
            ->setIs_active($is_active)
            ->setAmount_ordered($amount_ordered)
            ->setShipping_amount($shipping_amount)
            ->setBase_amount_ordered($base_amount_ordered)
            ->setBase_shipping_amount($base_shipping_amount)
            ->setMethod($method)
            ->setPo_number($po_number)
            ->setCc_type($cc_type)
            ->setCc_number_enc($cc_number_enc)
            ->setCc_last4($cc_last4)
            ->setCc_owner($cc_owner)
            ->setCc_exp_month($cc_exp_month)
            ->setCc_exp_year($cc_exp_year)
            ->setCc_ss_start_month($cc_ss_start_month)
            ->setCc_ss_start_year($cc_ss_start_year)
            ->setPayment_id($payment_id);
    }
    /**
     * Get increment_id value
     * @return string|null
     */
    public function getIncrement_id()
    {
        return $this->increment_id;
    }
    /**
     * Set increment_id value
     * @param string $increment_id
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setIncrement_id($increment_id = null)
    {
        // validation for constraint: string
        if (!is_null($increment_id) && !is_string($increment_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($increment_id)), __LINE__);
        }
        $this->increment_id = $increment_id;
        return $this;
    }
    /**
     * Get parent_id value
     * @return string|null
     */
    public function getParent_id()
    {
        return $this->parent_id;
    }
    /**
     * Set parent_id value
     * @param string $parent_id
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setParent_id($parent_id = null)
    {
        // validation for constraint: string
        if (!is_null($parent_id) && !is_string($parent_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($parent_id)), __LINE__);
        }
        $this->parent_id = $parent_id;
        return $this;
    }
    /**
     * Get created_at value
     * @return string|null
     */
    public function getCreated_at()
    {
        return $this->created_at;
    }
    /**
     * Set created_at value
     * @param string $created_at
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setCreated_at($created_at = null)
    {
        // validation for constraint: string
        if (!is_null($created_at) && !is_string($created_at)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($created_at)), __LINE__);
        }
        $this->created_at = $created_at;
        return $this;
    }
    /**
     * Get updated_at value
     * @return string|null
     */
    public function getUpdated_at()
    {
        return $this->updated_at;
    }
    /**
     * Set updated_at value
     * @param string $updated_at
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setUpdated_at($updated_at = null)
    {
        // validation for constraint: string
        if (!is_null($updated_at) && !is_string($updated_at)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($updated_at)), __LINE__);
        }
        $this->updated_at = $updated_at;
        return $this;
    }
    /**
     * Get is_active value
     * @return string|null
     */
    public function getIs_active()
    {
        return $this->is_active;
    }
    /**
     * Set is_active value
     * @param string $is_active
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setIs_active($is_active = null)
    {
        // validation for constraint: string
        if (!is_null($is_active) && !is_string($is_active)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($is_active)), __LINE__);
        }
        $this->is_active = $is_active;
        return $this;
    }
    /**
     * Get amount_ordered value
     * @return string|null
     */
    public function getAmount_ordered()
    {
        return $this->amount_ordered;
    }
    /**
     * Set amount_ordered value
     * @param string $amount_ordered
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setAmount_ordered($amount_ordered = null)
    {
        // validation for constraint: string
        if (!is_null($amount_ordered) && !is_string($amount_ordered)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($amount_ordered)), __LINE__);
        }
        $this->amount_ordered = $amount_ordered;
        return $this;
    }
    /**
     * Get shipping_amount value
     * @return string|null
     */
    public function getShipping_amount()
    {
        return $this->shipping_amount;
    }
    /**
     * Set shipping_amount value
     * @param string $shipping_amount
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setShipping_amount($shipping_amount = null)
    {
        // validation for constraint: string
        if (!is_null($shipping_amount) && !is_string($shipping_amount)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($shipping_amount)), __LINE__);
        }
        $this->shipping_amount = $shipping_amount;
        return $this;
    }
    /**
     * Get base_amount_ordered value
     * @return string|null
     */
    public function getBase_amount_ordered()
    {
        return $this->base_amount_ordered;
    }
    /**
     * Set base_amount_ordered value
     * @param string $base_amount_ordered
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setBase_amount_ordered($base_amount_ordered = null)
    {
        // validation for constraint: string
        if (!is_null($base_amount_ordered) && !is_string($base_amount_ordered)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($base_amount_ordered)), __LINE__);
        }
        $this->base_amount_ordered = $base_amount_ordered;
        return $this;
    }
    /**
     * Get base_shipping_amount value
     * @return string|null
     */
    public function getBase_shipping_amount()
    {
        return $this->base_shipping_amount;
    }
    /**
     * Set base_shipping_amount value
     * @param string $base_shipping_amount
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setBase_shipping_amount($base_shipping_amount = null)
    {
        // validation for constraint: string
        if (!is_null($base_shipping_amount) && !is_string($base_shipping_amount)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($base_shipping_amount)), __LINE__);
        }
        $this->base_shipping_amount = $base_shipping_amount;
        return $this;
    }
    /**
     * Get method value
     * @return string|null
     */
    public function getMethod()
    {
        return $this->method;
    }
    /**
     * Set method value
     * @param string $method
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setMethod($method = null)
    {
        // validation for constraint: string
        if (!is_null($method) && !is_string($method)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($method)), __LINE__);
        }
        $this->method = $method;
        return $this;
    }
    /**
     * Get po_number value
     * @return string|null
     */
    public function getPo_number()
    {
        return $this->po_number;
    }
    /**
     * Set po_number value
     * @param string $po_number
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setPo_number($po_number = null)
    {
        // validation for constraint: string
        if (!is_null($po_number) && !is_string($po_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($po_number)), __LINE__);
        }
        $this->po_number = $po_number;
        return $this;
    }
    /**
     * Get cc_type value
     * @return string|null
     */
    public function getCc_type()
    {
        return $this->cc_type;
    }
    /**
     * Set cc_type value
     * @param string $cc_type
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setCc_type($cc_type = null)
    {
        // validation for constraint: string
        if (!is_null($cc_type) && !is_string($cc_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cc_type)), __LINE__);
        }
        $this->cc_type = $cc_type;
        return $this;
    }
    /**
     * Get cc_number_enc value
     * @return string|null
     */
    public function getCc_number_enc()
    {
        return $this->cc_number_enc;
    }
    /**
     * Set cc_number_enc value
     * @param string $cc_number_enc
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setCc_number_enc($cc_number_enc = null)
    {
        // validation for constraint: string
        if (!is_null($cc_number_enc) && !is_string($cc_number_enc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cc_number_enc)), __LINE__);
        }
        $this->cc_number_enc = $cc_number_enc;
        return $this;
    }
    /**
     * Get cc_last4 value
     * @return string|null
     */
    public function getCc_last4()
    {
        return $this->cc_last4;
    }
    /**
     * Set cc_last4 value
     * @param string $cc_last4
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setCc_last4($cc_last4 = null)
    {
        // validation for constraint: string
        if (!is_null($cc_last4) && !is_string($cc_last4)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cc_last4)), __LINE__);
        }
        $this->cc_last4 = $cc_last4;
        return $this;
    }
    /**
     * Get cc_owner value
     * @return string|null
     */
    public function getCc_owner()
    {
        return $this->cc_owner;
    }
    /**
     * Set cc_owner value
     * @param string $cc_owner
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setCc_owner($cc_owner = null)
    {
        // validation for constraint: string
        if (!is_null($cc_owner) && !is_string($cc_owner)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cc_owner)), __LINE__);
        }
        $this->cc_owner = $cc_owner;
        return $this;
    }
    /**
     * Get cc_exp_month value
     * @return string|null
     */
    public function getCc_exp_month()
    {
        return $this->cc_exp_month;
    }
    /**
     * Set cc_exp_month value
     * @param string $cc_exp_month
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setCc_exp_month($cc_exp_month = null)
    {
        // validation for constraint: string
        if (!is_null($cc_exp_month) && !is_string($cc_exp_month)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cc_exp_month)), __LINE__);
        }
        $this->cc_exp_month = $cc_exp_month;
        return $this;
    }
    /**
     * Get cc_exp_year value
     * @return string|null
     */
    public function getCc_exp_year()
    {
        return $this->cc_exp_year;
    }
    /**
     * Set cc_exp_year value
     * @param string $cc_exp_year
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setCc_exp_year($cc_exp_year = null)
    {
        // validation for constraint: string
        if (!is_null($cc_exp_year) && !is_string($cc_exp_year)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cc_exp_year)), __LINE__);
        }
        $this->cc_exp_year = $cc_exp_year;
        return $this;
    }
    /**
     * Get cc_ss_start_month value
     * @return string|null
     */
    public function getCc_ss_start_month()
    {
        return $this->cc_ss_start_month;
    }
    /**
     * Set cc_ss_start_month value
     * @param string $cc_ss_start_month
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setCc_ss_start_month($cc_ss_start_month = null)
    {
        // validation for constraint: string
        if (!is_null($cc_ss_start_month) && !is_string($cc_ss_start_month)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cc_ss_start_month)), __LINE__);
        }
        $this->cc_ss_start_month = $cc_ss_start_month;
        return $this;
    }
    /**
     * Get cc_ss_start_year value
     * @return string|null
     */
    public function getCc_ss_start_year()
    {
        return $this->cc_ss_start_year;
    }
    /**
     * Set cc_ss_start_year value
     * @param string $cc_ss_start_year
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setCc_ss_start_year($cc_ss_start_year = null)
    {
        // validation for constraint: string
        if (!is_null($cc_ss_start_year) && !is_string($cc_ss_start_year)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cc_ss_start_year)), __LINE__);
        }
        $this->cc_ss_start_year = $cc_ss_start_year;
        return $this;
    }
    /**
     * Get payment_id value
     * @return string|null
     */
    public function getPayment_id()
    {
        return $this->payment_id;
    }
    /**
     * Set payment_id value
     * @param string $payment_id
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public function setPayment_id($payment_id = null)
    {
        // validation for constraint: string
        if (!is_null($payment_id) && !is_string($payment_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($payment_id)), __LINE__);
        }
        $this->payment_id = $payment_id;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderPaymentEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
