<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for salesOrderShipmentCommentEntity StructType
 * @subpackage Structs
 */
class SalesOrderShipmentCommentEntity extends AbstractStructBase
{
    /**
     * The increment_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $increment_id;
    /**
     * The parent_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $parent_id;
    /**
     * The created_at
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $created_at;
    /**
     * The updated_at
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $updated_at;
    /**
     * The is_active
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $is_active;
    /**
     * The comment
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $comment;
    /**
     * The is_customer_notified
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $is_customer_notified;
    /**
     * The comment_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $comment_id;
    /**
     * Constructor method for salesOrderShipmentCommentEntity
     * @uses SalesOrderShipmentCommentEntity::setIncrement_id()
     * @uses SalesOrderShipmentCommentEntity::setParent_id()
     * @uses SalesOrderShipmentCommentEntity::setCreated_at()
     * @uses SalesOrderShipmentCommentEntity::setUpdated_at()
     * @uses SalesOrderShipmentCommentEntity::setIs_active()
     * @uses SalesOrderShipmentCommentEntity::setComment()
     * @uses SalesOrderShipmentCommentEntity::setIs_customer_notified()
     * @uses SalesOrderShipmentCommentEntity::setComment_id()
     * @param string $increment_id
     * @param string $parent_id
     * @param string $created_at
     * @param string $updated_at
     * @param string $is_active
     * @param string $comment
     * @param string $is_customer_notified
     * @param string $comment_id
     */
    public function __construct($increment_id = null, $parent_id = null, $created_at = null, $updated_at = null, $is_active = null, $comment = null, $is_customer_notified = null, $comment_id = null)
    {
        $this
            ->setIncrement_id($increment_id)
            ->setParent_id($parent_id)
            ->setCreated_at($created_at)
            ->setUpdated_at($updated_at)
            ->setIs_active($is_active)
            ->setComment($comment)
            ->setIs_customer_notified($is_customer_notified)
            ->setComment_id($comment_id);
    }
    /**
     * Get increment_id value
     * @return string|null
     */
    public function getIncrement_id()
    {
        return $this->increment_id;
    }
    /**
     * Set increment_id value
     * @param string $increment_id
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentCommentEntity
     */
    public function setIncrement_id($increment_id = null)
    {
        // validation for constraint: string
        if (!is_null($increment_id) && !is_string($increment_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($increment_id)), __LINE__);
        }
        $this->increment_id = $increment_id;
        return $this;
    }
    /**
     * Get parent_id value
     * @return string|null
     */
    public function getParent_id()
    {
        return $this->parent_id;
    }
    /**
     * Set parent_id value
     * @param string $parent_id
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentCommentEntity
     */
    public function setParent_id($parent_id = null)
    {
        // validation for constraint: string
        if (!is_null($parent_id) && !is_string($parent_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($parent_id)), __LINE__);
        }
        $this->parent_id = $parent_id;
        return $this;
    }
    /**
     * Get created_at value
     * @return string|null
     */
    public function getCreated_at()
    {
        return $this->created_at;
    }
    /**
     * Set created_at value
     * @param string $created_at
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentCommentEntity
     */
    public function setCreated_at($created_at = null)
    {
        // validation for constraint: string
        if (!is_null($created_at) && !is_string($created_at)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($created_at)), __LINE__);
        }
        $this->created_at = $created_at;
        return $this;
    }
    /**
     * Get updated_at value
     * @return string|null
     */
    public function getUpdated_at()
    {
        return $this->updated_at;
    }
    /**
     * Set updated_at value
     * @param string $updated_at
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentCommentEntity
     */
    public function setUpdated_at($updated_at = null)
    {
        // validation for constraint: string
        if (!is_null($updated_at) && !is_string($updated_at)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($updated_at)), __LINE__);
        }
        $this->updated_at = $updated_at;
        return $this;
    }
    /**
     * Get is_active value
     * @return string|null
     */
    public function getIs_active()
    {
        return $this->is_active;
    }
    /**
     * Set is_active value
     * @param string $is_active
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentCommentEntity
     */
    public function setIs_active($is_active = null)
    {
        // validation for constraint: string
        if (!is_null($is_active) && !is_string($is_active)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($is_active)), __LINE__);
        }
        $this->is_active = $is_active;
        return $this;
    }
    /**
     * Get comment value
     * @return string|null
     */
    public function getComment()
    {
        return $this->comment;
    }
    /**
     * Set comment value
     * @param string $comment
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentCommentEntity
     */
    public function setComment($comment = null)
    {
        // validation for constraint: string
        if (!is_null($comment) && !is_string($comment)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($comment)), __LINE__);
        }
        $this->comment = $comment;
        return $this;
    }
    /**
     * Get is_customer_notified value
     * @return string|null
     */
    public function getIs_customer_notified()
    {
        return $this->is_customer_notified;
    }
    /**
     * Set is_customer_notified value
     * @param string $is_customer_notified
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentCommentEntity
     */
    public function setIs_customer_notified($is_customer_notified = null)
    {
        // validation for constraint: string
        if (!is_null($is_customer_notified) && !is_string($is_customer_notified)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($is_customer_notified)), __LINE__);
        }
        $this->is_customer_notified = $is_customer_notified;
        return $this;
    }
    /**
     * Get comment_id value
     * @return string|null
     */
    public function getComment_id()
    {
        return $this->comment_id;
    }
    /**
     * Set comment_id value
     * @param string $comment_id
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentCommentEntity
     */
    public function setComment_id($comment_id = null)
    {
        // validation for constraint: string
        if (!is_null($comment_id) && !is_string($comment_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($comment_id)), __LINE__);
        }
        $this->comment_id = $comment_id;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentCommentEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
