<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for salesOrderShipmentTrackEntity StructType
 * @subpackage Structs
 */
class SalesOrderShipmentTrackEntity extends AbstractStructBase
{
    /**
     * The increment_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $increment_id;
    /**
     * The parent_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $parent_id;
    /**
     * The created_at
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $created_at;
    /**
     * The updated_at
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $updated_at;
    /**
     * The is_active
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $is_active;
    /**
     * The carrier_code
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $carrier_code;
    /**
     * The title
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $title;
    /**
     * The number
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $number;
    /**
     * The order_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $order_id;
    /**
     * The track_id
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $track_id;
    /**
     * Constructor method for salesOrderShipmentTrackEntity
     * @uses SalesOrderShipmentTrackEntity::setIncrement_id()
     * @uses SalesOrderShipmentTrackEntity::setParent_id()
     * @uses SalesOrderShipmentTrackEntity::setCreated_at()
     * @uses SalesOrderShipmentTrackEntity::setUpdated_at()
     * @uses SalesOrderShipmentTrackEntity::setIs_active()
     * @uses SalesOrderShipmentTrackEntity::setCarrier_code()
     * @uses SalesOrderShipmentTrackEntity::setTitle()
     * @uses SalesOrderShipmentTrackEntity::setNumber()
     * @uses SalesOrderShipmentTrackEntity::setOrder_id()
     * @uses SalesOrderShipmentTrackEntity::setTrack_id()
     * @param string $increment_id
     * @param string $parent_id
     * @param string $created_at
     * @param string $updated_at
     * @param string $is_active
     * @param string $carrier_code
     * @param string $title
     * @param string $number
     * @param string $order_id
     * @param string $track_id
     */
    public function __construct($increment_id = null, $parent_id = null, $created_at = null, $updated_at = null, $is_active = null, $carrier_code = null, $title = null, $number = null, $order_id = null, $track_id = null)
    {
        $this
            ->setIncrement_id($increment_id)
            ->setParent_id($parent_id)
            ->setCreated_at($created_at)
            ->setUpdated_at($updated_at)
            ->setIs_active($is_active)
            ->setCarrier_code($carrier_code)
            ->setTitle($title)
            ->setNumber($number)
            ->setOrder_id($order_id)
            ->setTrack_id($track_id);
    }
    /**
     * Get increment_id value
     * @return string|null
     */
    public function getIncrement_id()
    {
        return $this->increment_id;
    }
    /**
     * Set increment_id value
     * @param string $increment_id
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentTrackEntity
     */
    public function setIncrement_id($increment_id = null)
    {
        // validation for constraint: string
        if (!is_null($increment_id) && !is_string($increment_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($increment_id)), __LINE__);
        }
        $this->increment_id = $increment_id;
        return $this;
    }
    /**
     * Get parent_id value
     * @return string|null
     */
    public function getParent_id()
    {
        return $this->parent_id;
    }
    /**
     * Set parent_id value
     * @param string $parent_id
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentTrackEntity
     */
    public function setParent_id($parent_id = null)
    {
        // validation for constraint: string
        if (!is_null($parent_id) && !is_string($parent_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($parent_id)), __LINE__);
        }
        $this->parent_id = $parent_id;
        return $this;
    }
    /**
     * Get created_at value
     * @return string|null
     */
    public function getCreated_at()
    {
        return $this->created_at;
    }
    /**
     * Set created_at value
     * @param string $created_at
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentTrackEntity
     */
    public function setCreated_at($created_at = null)
    {
        // validation for constraint: string
        if (!is_null($created_at) && !is_string($created_at)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($created_at)), __LINE__);
        }
        $this->created_at = $created_at;
        return $this;
    }
    /**
     * Get updated_at value
     * @return string|null
     */
    public function getUpdated_at()
    {
        return $this->updated_at;
    }
    /**
     * Set updated_at value
     * @param string $updated_at
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentTrackEntity
     */
    public function setUpdated_at($updated_at = null)
    {
        // validation for constraint: string
        if (!is_null($updated_at) && !is_string($updated_at)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($updated_at)), __LINE__);
        }
        $this->updated_at = $updated_at;
        return $this;
    }
    /**
     * Get is_active value
     * @return string|null
     */
    public function getIs_active()
    {
        return $this->is_active;
    }
    /**
     * Set is_active value
     * @param string $is_active
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentTrackEntity
     */
    public function setIs_active($is_active = null)
    {
        // validation for constraint: string
        if (!is_null($is_active) && !is_string($is_active)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($is_active)), __LINE__);
        }
        $this->is_active = $is_active;
        return $this;
    }
    /**
     * Get carrier_code value
     * @return string|null
     */
    public function getCarrier_code()
    {
        return $this->carrier_code;
    }
    /**
     * Set carrier_code value
     * @param string $carrier_code
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentTrackEntity
     */
    public function setCarrier_code($carrier_code = null)
    {
        // validation for constraint: string
        if (!is_null($carrier_code) && !is_string($carrier_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($carrier_code)), __LINE__);
        }
        $this->carrier_code = $carrier_code;
        return $this;
    }
    /**
     * Get title value
     * @return string|null
     */
    public function getTitle()
    {
        return $this->title;
    }
    /**
     * Set title value
     * @param string $title
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentTrackEntity
     */
    public function setTitle($title = null)
    {
        // validation for constraint: string
        if (!is_null($title) && !is_string($title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($title)), __LINE__);
        }
        $this->title = $title;
        return $this;
    }
    /**
     * Get number value
     * @return string|null
     */
    public function getNumber()
    {
        return $this->number;
    }
    /**
     * Set number value
     * @param string $number
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentTrackEntity
     */
    public function setNumber($number = null)
    {
        // validation for constraint: string
        if (!is_null($number) && !is_string($number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($number)), __LINE__);
        }
        $this->number = $number;
        return $this;
    }
    /**
     * Get order_id value
     * @return string|null
     */
    public function getOrder_id()
    {
        return $this->order_id;
    }
    /**
     * Set order_id value
     * @param string $order_id
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentTrackEntity
     */
    public function setOrder_id($order_id = null)
    {
        // validation for constraint: string
        if (!is_null($order_id) && !is_string($order_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($order_id)), __LINE__);
        }
        $this->order_id = $order_id;
        return $this;
    }
    /**
     * Get track_id value
     * @return string|null
     */
    public function getTrack_id()
    {
        return $this->track_id;
    }
    /**
     * Set track_id value
     * @param string $track_id
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentTrackEntity
     */
    public function setTrack_id($track_id = null)
    {
        // validation for constraint: string
        if (!is_null($track_id) && !is_string($track_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($track_id)), __LINE__);
        }
        $this->track_id = $track_id;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\SalesOrderShipmentTrackEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
