<?php

namespace App\Api\Client\Magento\Type\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for shoppingCartShippingMethodEntity StructType
 * @subpackage Structs
 */
class ShoppingCartShippingMethodEntity extends AbstractStructBase
{
    /**
     * The code
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $code;
    /**
     * The carrier
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $carrier;
    /**
     * The carrier_title
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $carrier_title;
    /**
     * The method
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $method;
    /**
     * The method_title
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $method_title;
    /**
     * The method_description
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $method_description;
    /**
     * The price
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $price;
    /**
     * Constructor method for shoppingCartShippingMethodEntity
     * @uses ShoppingCartShippingMethodEntity::setCode()
     * @uses ShoppingCartShippingMethodEntity::setCarrier()
     * @uses ShoppingCartShippingMethodEntity::setCarrier_title()
     * @uses ShoppingCartShippingMethodEntity::setMethod()
     * @uses ShoppingCartShippingMethodEntity::setMethod_title()
     * @uses ShoppingCartShippingMethodEntity::setMethod_description()
     * @uses ShoppingCartShippingMethodEntity::setPrice()
     * @param string $code
     * @param string $carrier
     * @param string $carrier_title
     * @param string $method
     * @param string $method_title
     * @param string $method_description
     * @param float $price
     */
    public function __construct($code = null, $carrier = null, $carrier_title = null, $method = null, $method_title = null, $method_description = null, $price = null)
    {
        $this
            ->setCode($code)
            ->setCarrier($carrier)
            ->setCarrier_title($carrier_title)
            ->setMethod($method)
            ->setMethod_title($method_title)
            ->setMethod_description($method_description)
            ->setPrice($price);
    }
    /**
     * Get code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->code;
    }
    /**
     * Set code value
     * @param string $code
     * @return \App\Api\Client\Magento\Type\StructType\ShoppingCartShippingMethodEntity
     */
    public function setCode($code = null)
    {
        // validation for constraint: string
        if (!is_null($code) && !is_string($code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($code)), __LINE__);
        }
        $this->code = $code;
        return $this;
    }
    /**
     * Get carrier value
     * @return string|null
     */
    public function getCarrier()
    {
        return $this->carrier;
    }
    /**
     * Set carrier value
     * @param string $carrier
     * @return \App\Api\Client\Magento\Type\StructType\ShoppingCartShippingMethodEntity
     */
    public function setCarrier($carrier = null)
    {
        // validation for constraint: string
        if (!is_null($carrier) && !is_string($carrier)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($carrier)), __LINE__);
        }
        $this->carrier = $carrier;
        return $this;
    }
    /**
     * Get carrier_title value
     * @return string|null
     */
    public function getCarrier_title()
    {
        return $this->carrier_title;
    }
    /**
     * Set carrier_title value
     * @param string $carrier_title
     * @return \App\Api\Client\Magento\Type\StructType\ShoppingCartShippingMethodEntity
     */
    public function setCarrier_title($carrier_title = null)
    {
        // validation for constraint: string
        if (!is_null($carrier_title) && !is_string($carrier_title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($carrier_title)), __LINE__);
        }
        $this->carrier_title = $carrier_title;
        return $this;
    }
    /**
     * Get method value
     * @return string|null
     */
    public function getMethod()
    {
        return $this->method;
    }
    /**
     * Set method value
     * @param string $method
     * @return \App\Api\Client\Magento\Type\StructType\ShoppingCartShippingMethodEntity
     */
    public function setMethod($method = null)
    {
        // validation for constraint: string
        if (!is_null($method) && !is_string($method)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($method)), __LINE__);
        }
        $this->method = $method;
        return $this;
    }
    /**
     * Get method_title value
     * @return string|null
     */
    public function getMethod_title()
    {
        return $this->method_title;
    }
    /**
     * Set method_title value
     * @param string $method_title
     * @return \App\Api\Client\Magento\Type\StructType\ShoppingCartShippingMethodEntity
     */
    public function setMethod_title($method_title = null)
    {
        // validation for constraint: string
        if (!is_null($method_title) && !is_string($method_title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($method_title)), __LINE__);
        }
        $this->method_title = $method_title;
        return $this;
    }
    /**
     * Get method_description value
     * @return string|null
     */
    public function getMethod_description()
    {
        return $this->method_description;
    }
    /**
     * Set method_description value
     * @param string $method_description
     * @return \App\Api\Client\Magento\Type\StructType\ShoppingCartShippingMethodEntity
     */
    public function setMethod_description($method_description = null)
    {
        // validation for constraint: string
        if (!is_null($method_description) && !is_string($method_description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($method_description)), __LINE__);
        }
        $this->method_description = $method_description;
        return $this;
    }
    /**
     * Get price value
     * @return float|null
     */
    public function getPrice()
    {
        return $this->price;
    }
    /**
     * Set price value
     * @param float $price
     * @return \App\Api\Client\Magento\Type\StructType\ShoppingCartShippingMethodEntity
     */
    public function setPrice($price = null)
    {
        $this->price = $price;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \App\Api\Client\Magento\Type\StructType\ShoppingCartShippingMethodEntity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
